import { jsx } from 'react/jsx-runtime';
import classNames from 'classnames';
import { Size } from '../avatar/avatar-size.js';

var styles = {"avatar":"avatar_rui_a03e","round":"round_rui_a03e","avatarShadow":"avatarShadow_rui_a03e","avatarInfo":"avatarInfo_rui_a03e","subavatar":"subavatar_rui_a03e","empty":"empty_rui_a03e"};

const fontSizes = {
  [Size.Size16]: 9,
  [Size.Size18]: 9,
  [Size.Size20]: 9,
  [Size.Size24]: 11,
  [Size.Size28]: 12,
  [Size.Size32]: 14,
  [Size.Size40]: 16,
  [Size.Size48]: 16,
  [Size.Size56]: 22
};
function AvatarInfo(_ref) {
  let {
    size,
    children
  } = _ref;
  const fontSize = fontSizes[size];
  return jsx("span", {
    style: {
      fontSize
    },
    className: classNames(styles.avatarInfo),
    children: children
  });
}

export { AvatarInfo as A, fontSizes as f, styles as s };
