import classNames from 'classnames';

var styles = {"glyph":"glyph_rui_2d39","heightS":"heightS_rui_0b90","heightM":"heightM_rui_0b90","heightL":"heightL_rui_0b90","button":"button_rui_0b90","block":"block_rui_0b90","inline":"inline_rui_0b90","icon":"icon_rui_0b90","iconRight":"iconRight_rui_0b90","withNormalIcon":"withNormalIcon_rui_0b90","active":"active_rui_0b90","disabled":"disabled_rui_0b90","danger":"danger_rui_0b90","flat":"flat_rui_0b90","whiteText":"whiteText_rui_0b90","primaryBlock":"primaryBlock_rui_0b90 flat_rui_0b90 whiteText_rui_0b90","success":"success_rui_0b90 flat_rui_0b90 whiteText_rui_0b90","error":"error_rui_0b90 flat_rui_0b90 whiteText_rui_0b90","secondary":"secondary_rui_0b90 flat_rui_0b90","ghost":"ghost_rui_0b90 flat_rui_0b90","iconOnly":"iconOnly_rui_0b90","loader":"loader_rui_0b90","text-loading":"text-loading_rui_0b90","loaderBackground":"loaderBackground_rui_0b90","progress":"progress_rui_0b90","delayed":"delayed_rui_0b90","short":"short_rui_0b90","dropdownIcon":"dropdownIcon_rui_0b90"};

function getButtonClasses(_ref) {
  let {
    className,
    active,
    disabled,
    loader,
    primary,
    success,
    error,
    secondary,
    ghost,
    short,
    inline,
    danger,
    delayed,
    icon,
    iconRight,
    height,
    children
  } = _ref;
  const iconOnly = (icon || iconRight) && !children;
  const primaryBlock = primary && !inline;
  const withNormalIcon = iconOnly && inline && !active && !danger && !primary && !disabled;
  return classNames(styles.button, className, styles["height".concat(height)], inline ? styles.inline : styles.block, {
    [styles.active]: active,
    [styles.danger]: danger,
    [styles.delayed]: delayed,
    [styles.withNormalIcon]: withNormalIcon,
    [styles.loader]: loader,
    [styles.primaryBlock]: primaryBlock,
    [styles.success]: success,
    [styles.error]: error,
    [styles.secondary]: secondary,
    [styles.ghost]: ghost,
    [styles.short]: short,
    [styles.disabled]: disabled,
    [styles.iconOnly]: iconOnly
  });
}

export { getButtonClasses as g, styles as s };
