import 'core-js/modules/web.dom-collections.iterator.js';
import scrollbarWidth from 'scrollbar-width';

var styles = {"header":"header_rui_1d72","scrollableWrapper":"scrollableWrapper_rui_1d72","container":"container_rui_381e","nativeDialog":"nativeDialog_rui_381e","innerContainer":"innerContainer_rui_381e","content":"content_rui_381e","panel":"panel_rui_381e","clickableOverlay":"clickableOverlay_rui_381e","closeIconOutside":"closeIconOutside_rui_381e","closeIcon":"closeIcon_rui_381e","closeButton":"closeButton_rui_381e","closeButtonOutside":"closeButtonOutside_rui_381e","closeButtonInside":"closeButtonInside_rui_381e","documentWithoutScroll":"documentWithoutScroll_rui_381e","popupTarget":"popupTarget_rui_381e","dense":"dense_rui_381e"};

const isPrevented = new Set();
let previousDocumentWidth = null;
const _prevent = key => {
  if (isPrevented.has(key)) {
    return;
  }
  isPrevented.add(key);
  if (isPrevented.size > 1) {
    return;
  }
  const documentHasScroll = document.documentElement.scrollHeight > window.innerHeight || getComputedStyle(document.documentElement).overflowY === 'scroll';
  document.documentElement.classList.add(styles.documentWithoutScroll);
  const scrollWidth = scrollbarWidth();
  const {
    scrollbarGutter
  } = getComputedStyle(document.documentElement);
  const documentHasScrollbarGutter = scrollbarGutter === 'stable' || scrollbarGutter === 'both-edges';
  if (documentHasScroll && scrollWidth != null && scrollWidth > 0 && !documentHasScrollbarGutter) {
    previousDocumentWidth = document.documentElement.style.width;
    document.documentElement.style.width = "calc(100% - ".concat(scrollWidth, "px)");
  }
};
const _reset = key => {
  if (isPrevented.size === 0) {
    return;
  }
  isPrevented.delete(key);
  if (isPrevented.size > 0) {
    return;
  }
  document.documentElement.classList.remove(styles.documentWithoutScroll);
  if (previousDocumentWidth !== null) {
    document.documentElement.style.width = previousDocumentWidth;
    previousDocumentWidth = null;
  }
};
const preventerFactory = key => {
  const preventerKey = key || Math.random();
  return {
    prevent: () => _prevent(preventerKey),
    reset: () => _reset(preventerKey)
  };
};
var dialog__bodyScrollPreventer = preventerFactory('default-preventer');

export { dialog__bodyScrollPreventer as d, preventerFactory as p, styles as s };
