import { _ as _defineProperty, a as _objectWithoutProperties, b as _objectSpread2 } from './_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx } from 'react/jsx-runtime';
import { Component } from 'react';
import classNames from 'classnames';
import { I as Input } from './input.js';
import sniffr from '../global/sniffer.js';
import { ActiveItemContext } from '../list/list.js';
import { I18nContext } from '../i18n/i18n-context.js';

var styles = {"filterWithTagsFocused":"filterWithTagsFocused_rui_531d","filterWithTags":"filterWithTags_rui_531d","filterWrapper":"filterWrapper_rui_531d","filterWithTagsInput":"filterWithTagsInput_rui_531d","filter":"filter_rui_531d","popup":"popup_rui_531d","filterIcon":"filterIcon_rui_531d","bottomLine":"bottomLine_rui_531d","bottomLineOverItem":"bottomLineOverItem_rui_531d","message":"message_rui_531d","selectAll":"selectAll_rui_531d"};

const _excluded = ["className", "listId"];
function noop() {}
class SelectFilter extends Component {
  constructor() {
    super(...arguments);
    _defineProperty(this, "input", void 0);
    _defineProperty(this, "inputRef", el => {
      this.input = el;
      this.props.inputRef(el);
    });
  }
  focus() {
    const {
      input
    } = this;
    if (input && input !== document.activeElement) {
      if (sniffr.browser.name === 'firefox') {
        input.select();
      } else {
        input.focus();
      }
    }
  }
  blur() {
    if (this.input && this.input === document.activeElement) {
      this.input.blur();
    }
  }
  render() {
    const _this$props = this.props,
      {
        className,
        listId
      } = _this$props,
      restProps = _objectWithoutProperties(_this$props, _excluded);
    const classes = classNames(styles.filter, className);
    return jsx(ActiveItemContext.ValueContext.Consumer, {
      children: activeItemId => jsx(I18nContext.Consumer, {
        children: _ref => {
          var _restProps$placeholde;
          let {
            translate
          } = _ref;
          return jsx(Input, _objectSpread2(_objectSpread2({}, restProps), {}, {
            placeholder: (_restProps$placeholde = restProps.placeholder) !== null && _restProps$placeholde !== void 0 ? _restProps$placeholde : translate('filterItems'),
            "aria-owns": listId,
            "aria-activedescendant": activeItemId,
            autoComplete: "off",
            autoFocus: true,
            borderless: true,
            inputRef: this.inputRef,
            className: classes
          }));
        }
      })
    });
  }
}
_defineProperty(SelectFilter, "defaultProps", {
  inputRef: noop
});

export { SelectFilter as S, styles as s };
