import { a as _objectWithoutProperties, b as _objectSpread2 } from './_rollupPluginBabelHelpers.js';
import { jsx, jsxs } from 'react/jsx-runtime';
import { memo } from 'react';
import Link from '../link/link.js';

var styles = {"tabs":"tabs_rui_aa34 font_rui_8bff","titles":"titles_rui_aa34","title":"title_rui_aa34 font_rui_8bff","selected":"selected_rui_aa34","collapsed":"collapsed_rui_aa34","titleLegacy":"titleLegacy_rui_aa34","visible":"visible_rui_aa34","container":"container_rui_aa34","hidden":"hidden_rui_aa34","hiddenBold":"hiddenBold_rui_aa34","hiddenRegular":"hiddenRegular_rui_aa34","tabCounter":"tabCounter_rui_aa34","autoCollapseContainer":"autoCollapseContainer_rui_aa34","autoCollapse":"autoCollapse_rui_aa34","rendered":"rendered_rui_aa34","adjusted":"adjusted_rui_aa34","measure":"measure_rui_aa34","morePopup":"morePopup_rui_aa34","morePopupBeforeEnd":"morePopupBeforeEnd_rui_aa34"};

const _excluded = ["isSelected", "title", "collapsed"];
function TabLink(_ref) {
  let {
      isSelected,
      title,
      collapsed
    } = _ref,
    restProps = _objectWithoutProperties(_ref, _excluded);
  const renderedTitle = typeof title === 'function' ? title(isSelected, collapsed) : title;
  return jsx(Link, _objectSpread2(_objectSpread2({}, restProps), {}, {
    children: jsxs("div", {
      className: styles.container,
      children: [jsx("span", {
        className: styles.visible,
        children: renderedTitle
      }), jsx("span", {
        className: styles.hidden,
        children: renderedTitle
      }), jsx("span", {
        className: styles.hiddenBold,
        children: renderedTitle
      }), jsx("span", {
        className: styles.hiddenRegular,
        children: renderedTitle
      })]
    })
  }));
}
var TabLink$1 = /*#__PURE__*/memo(TabLink);

export { TabLink$1 as T, styles as s };
