import { _ as _defineProperty } from './_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import { PureComponent } from 'react';
import classNames from 'classnames';
import focusSensorHOC from '../global/focus-sensor-hoc.js';
import Checkbox from '../checkbox/checkbox.js';
import getUID from '../global/get-uid.js';

var styles = {"dataListWrapper":"dataListWrapper_rui_9f76","dataList":"dataList_rui_9f76","itemContent":"itemContent_rui_9f76","title":"title_rui_9f76","disabledHover":"disabledHover_rui_9f76","titleSelected":"titleSelected_rui_9f76","titleFocused":"titleFocused_rui_9f76","showMore":"showMore_rui_9f76","boxes":"boxes_rui_9f76","checkboxBox":"checkboxBox_rui_9f76","collapseButton":"collapseButton_rui_9f76","collapseIcon":"collapseIcon_rui_9f76","loadingOverlay":"loadingOverlay_rui_9f76","showMoreLoader":"showMoreLoader_rui_9f76"};

class Title extends PureComponent {
  constructor() {
    super(...arguments);
    _defineProperty(this, "id", getUID('data-list-title'));
    _defineProperty(this, "onCheckboxFocus", () => {
      this.props.onFocusRestore();
    });
    _defineProperty(this, "onCheckboxChange", () => {
      this.toggleSelection();
    });
  }
  toggleSelection() {
    const {
      selectable,
      selected,
      onSelect
    } = this.props;
    if (selectable) {
      onSelect(!selected);
    }
  }
  render() {
    const {
      className,
      title,
      offset,
      showFocus,
      innerRef,
      selectable,
      selected,
      collapserExpander
    } = this.props;
    const classes = classNames(className, {
      [styles.title]: true,
      [styles.titleFocused]: showFocus,
      [styles.titleSelected]: selected
    });
    return jsxs("div", {
      id: this.id,
      className: classes,
      style: {
        paddingLeft: offset
      },
      ref: innerRef,
      children: [jsxs("div", {
        className: styles.boxes,
        children: [selectable && jsx("div", {
          className: styles.checkboxBox,
          children: jsx(Checkbox, {
            "aria-labelledby": this.id,
            className: showFocus ? 'ring-checkbox_focus' : '',
            checked: selected,
            onFocus: this.onCheckboxFocus,
            onChange: this.onCheckboxChange,
            tabIndex: -1
          })
        }), collapserExpander]
      }), title]
    });
  }
}
_defineProperty(Title, "defaultProps", {
  selectable: false,
  selected: false,
  showFocus: false
});
var Title$1 = focusSensorHOC(Title);

export { Title$1 as T, styles as s };
