export type Serializable = string | number | boolean | null | undefined | {
    [K in string | number]?: Serializable;
};
export interface AnalyticsPlugin {
    trackEvent(category: string, action: string, additionalData?: Record<string, Serializable>): void;
    trackPageView(path: string): void;
}
/**
 * @name Analytics
 */
export declare class Analytics {
    private _plugins;
    constructor();
    config(plugins: readonly AnalyticsPlugin[]): void;
    trackEvent(category: string, action: string, additionalData?: Record<string, Serializable>): void;
}
declare const _default: Analytics;
export default _default;
