import { Component } from 'react';
/**
 * @name Auth Dialog
 */
export interface AuthDialogProps {
    className?: string | undefined;
    title?: string | null | undefined;
    errorMessage?: string | null | undefined;
    serviceImage?: string | null | undefined;
    serviceName?: string | null | undefined;
    loginCaption: string;
    loginToCaption: string;
    show: boolean;
    cancelOnEsc: boolean;
    confirmLabel: string;
    cancelLabel: string;
    tryAgainLabel: string;
    onConfirm: () => void;
    onCancel: () => void;
    onTryAgain?: () => void;
}
export default class AuthDialog extends Component<AuthDialogProps> {
    static defaultProps: {
        loginCaption: string;
        loginToCaption: string;
        tryAgainLabel: string;
        show: boolean;
        cancelOnEsc: boolean;
        confirmLabel: string;
        cancelLabel: string;
        onConfirm: () => void;
        onCancel: () => void;
    };
    state: {
        retrying: boolean;
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    onEscPress: () => void;
    onRetryPress: () => Promise<void>;
    render(): import("react/jsx-runtime").JSX.Element;
}
