import { HTMLAttributes } from 'react';
import { ListDataItem } from '../list/consts';
import { DropdownMenuProps } from '../dropdown-menu/dropdown-menu';
import { Size } from '../avatar/avatar';
declare module 'csstype' {
    interface Properties {
        '--ring-avatar-stack-index'?: number;
    }
}
export interface AvatarProps<T = unknown> extends HTMLAttributes<HTMLDivElement> {
    size?: Size | undefined;
    extraItems?: readonly ListDataItem<T>[] | null | undefined;
    dropdownMenuProps?: DropdownMenuProps<T> | null | undefined;
}
export default function AvatarStack({ children, className, size, extraItems, dropdownMenuProps, ...restProps }: AvatarProps): import("react/jsx-runtime").JSX.Element;
