import { c as _taggedTemplateLiteral } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/es.parse-int.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.match.js';
import 'core-js/modules/web.dom-collections.iterator.js';

var _sizeString$match, _templateObject;
// url=https://www.figma.com/design/HY6d4uE1xxaQXCMG9fe6Y2/RingUI?node-id=5990-752
const figma = require('figma');
const instance = figma.selectedInstance;
const sizeString = instance.getString('Size');
const [sizeSubstring] = (_sizeString$match = sizeString.match(/\d+/)) !== null && _sizeString$match !== void 0 ? _sizeString$match : [];
const size = parseInt(sizeSubstring, 10);
const children = instance.findConnectedInstances(() => true);
const imports = ["import AvatarStack from '@jetbrains/ring-ui/components/avatar-stack/avatar-stack'"];
const props = [];
const DEFAULT_SIZE = 20;
const isDefaultSize = size === DEFAULT_SIZE;
if (!isDefaultSize) {
  props.push("size={Size.Size".concat(size, "}"));
}
const renderedChildren = children.map(child => {
  const {
    example
  } = child.executeTemplate();
  const [childImports, code] = example[0].code.split('\n\n');
  return {
    imports: childImports,
    code
  };
});
var avatarStack_figma = {
  id: 'avatar-stack',
  example: figma.code(_templateObject || (_templateObject = _taggedTemplateLiteral(["", "\n", "\n\n<AvatarStack ", ">\n  ", "\n</AvatarStack>"])), imports.join('\n'), renderedChildren[0].imports, props.map(prop => "".concat(prop, " ")).join(''), renderedChildren.map(_ref => {
    let {
      code
    } = _ref;
    return code;
  }).join('\n  '))
};

export { avatarStack_figma as default };
