import { a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import { useState, Children } from 'react';
import classNames from 'classnames';
import DropdownMenu from '../dropdown-menu/dropdown-menu.js';
import Avatar from '../avatar/avatar.js';
import { f as fontSizes } from '../_helpers/avatar-info.js';
import { Size } from '../avatar/avatar-size.js';
import 'core-js/modules/es.object.assign.js';
import '../list/list.js';
import 'core-js/modules/es.symbol.description.js';
import 'core-js/modules/es.string.includes.js';
import 'core-js/modules/es.string.trim.js';
import 'react-virtualized/dist/es/List';
import 'react-virtualized/dist/es/AutoSizer';
import 'react-virtualized/dist/es/WindowScroller';
import 'react-virtualized/dist/es/CellMeasurer';
import 'util-deprecate';
import 'memoize-one';
import '../global/data-tests.js';
import '../global/get-uid.js';
import 'core-js/modules/es.regexp.to-string.js';
import '../global/schedule-raf.js';
import '../global/memoize.js';
import 'core-js/modules/es.weak-map.js';
import '../global/dom.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.split.js';
import '../shortcuts/shortcuts.js';
import '../shortcuts/core.js';
import 'core-js/modules/es.string.match.js';
import 'combokeys';
import '../global/sniffer.js';
import 'sniffr';
import '../global/create-stateful-context.js';
import '../list/list__item.js';
import '../checkbox/checkbox.js';
import '@jetbrains/icons/checkmark-12px';
import '@jetbrains/icons/remove-12px';
import '../icon/icon.js';
import '../icon/icon__constants.js';
import '../_helpers/icon__svg.js';
import 'core-js/modules/es.string.replace.js';
import 'core-js/modules/es.string.starts-with.js';
import '../global/composeRefs.js';
import '../control-help/control-help.js';
import '../link/link.js';
import '../link/clickableLink.js';
import '../_helpers/link.js';
import '../_helpers/list.js';
import '../list/consts.js';
import '../list/list__classes.js';
import '../global/url.js';
import '../avatar/fallback-avatar.js';
import '../list/list__custom.js';
import '../global/get-event-key.js';
import '../list/list__title.js';
import '../list/list__separator.js';
import '../list/list__hint.js';
import '../dropdown/dropdown.js';
import '../global/typescript-utils.js';
import '../_helpers/anchor.js';
import '../button/button.js';
import '@jetbrains/icons/chevron-down';
import '@jetbrains/icons/chevron-12px-down';
import '../global/controls-height.js';
import '../_helpers/button__classes.js';
import '../popup-menu/popup-menu.js';
import 'core-js/modules/es.parse-float.js';
import '../popup/popup.js';
import 'react-dom';
import '../tab-trap/tab-trap.js';
import '../popup/position.js';
import 'core-js/modules/es.array.sort.js';
import '../popup/popup.consts.js';
import '../popup/popup.target.js';

var styles = {"avatarStack":"avatarStack_rui_9a0c","extraText":"extraText_rui_9a0c","item":"item_rui_9a0c","size20":"size20_rui_9a0c","size24":"size24_rui_9a0c","size28":"size28_rui_9a0c","size32":"size32_rui_9a0c","size40":"size40_rui_9a0c","size56":"size56_rui_9a0c","hovered":"hovered_rui_9a0c","extra":"extra_rui_9a0c item_rui_9a0c","extraButton":"extraButton_rui_9a0c resetButton_rui_8bff"};

const _excluded = ["children", "className", "size", "extraItems", "dropdownMenuProps"];
function AvatarStack(_ref) {
  let {
      children,
      className,
      size = Size.Size20,
      extraItems,
      dropdownMenuProps
    } = _ref,
    restProps = _objectWithoutProperties(_ref, _excluded);
  const [dropdownOpen, setDropdownOpen] = useState(false);
  return jsxs("div", _objectSpread2(_objectSpread2({
    className: classNames(styles.avatarStack, className, styles["size".concat(size)], {
      [styles.hovered]: dropdownOpen
    })
  }, restProps), {}, {
    style: _objectSpread2({
      height: size
    }, restProps.style),
    children: [Children.map(children, (child, index) => jsx("div", {
      className: styles.item,
      style: {
        '--ring-avatar-stack-index': index
      },
      children: child
    })), extraItems !== null && extraItems !== void 0 && extraItems.length ? jsx(DropdownMenu, _objectSpread2({
      hoverMode: true,
      hoverShowTimeOut: 10,
      onShow: () => setDropdownOpen(true),
      onHide: () => setDropdownOpen(false),
      className: styles.extra,
      style: {
        width: size,
        height: size,
        '--ring-avatar-stack-index': Children.count(children),
        fontSize: fontSizes[size]
      },
      anchor: jsx("button", {
        type: "button",
        className: styles.extraButton,
        children: jsx(Avatar, {
          size: size,
          info: jsx("span", {
            className: styles.extraText,
            children: "+".concat(extraItems.length)
          })
        })
      }),
      data: extraItems,
      menuProps: _objectSpread2({
        offset: 4
      }, dropdownMenuProps === null || dropdownMenuProps === void 0 ? void 0 : dropdownMenuProps.menuProps)
    }, dropdownMenuProps)) : null]
  }));
}

export { AvatarStack as default };
