import { PureComponent, ImgHTMLAttributes, ReactNode } from 'react';
import { Size } from './avatar-size';
export { Size };
export interface AvatarProps extends ImgHTMLAttributes<HTMLImageElement> {
    dpr: number;
    size: Size | number;
    subavatarSize: number;
    url?: string | null | undefined;
    round?: boolean | null | undefined;
    subavatar?: string | null | undefined;
    username?: string | null | undefined;
    info?: ReactNode;
    skipParams?: boolean | null | undefined;
}
export default class Avatar extends PureComponent<AvatarProps> {
    static defaultProps: {
        dpr: number;
        size: Size;
        subavatarSize: number;
        style: {};
    };
    state: {
        errorUrl: string;
    };
    handleError: () => void;
    handleSuccess: () => void;
    render(): import("react/jsx-runtime").JSX.Element;
}
export type AvatarAttrs = React.JSX.LibraryManagedAttributes<typeof Avatar, AvatarProps>;
