import { c as _taggedTemplateLiteral } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/es.parse-int.js';

var _templateObject;
// url=https://www.figma.com/design/HY6d4uE1xxaQXCMG9fe6Y2/RingUI?node-id=5990-522
const figma = require('figma');
const instance = figma.selectedInstance;
const round = instance.getBoolean('Round');
const size = parseInt(instance.getString('Size'), 10);
const content = instance.getString('Content');
const props = [];
const DEFAULT_SIZE = 20;
const isDefaultSize = size === DEFAULT_SIZE;
const imports = ["import Avatar".concat(isDefaultSize ? '' : ', {Size}', " from '@jetbrains/ring-ui/components/avatar/avatar'")];
if (!isDefaultSize) {
  props.push("size={Size.Size".concat(size, "}"));
}
switch (content) {
  case 'color/image':
    props.push('url="avatar.png"');
    break;
  case 'name':
    props.push('username="Samuel Morse"');
    break;
  case 'label':
    props.push("info=\"".concat(instance.findText('Content').textContent, "\""));
    break;
  case 'icon':
    imports.push("import Icon from '@jetbrains/ring-ui/components/icon/icon'", "import warningIcon from '@jetbrains/icons/warning.svg'");
    props.push('info={<Icon glyph={warningIcon} />}');
    break;
}
if (round) {
  props.push('round');
}
var avatar_figma = {
  id: 'avatar',
  example: figma.code(_templateObject || (_templateObject = _taggedTemplateLiteral(["", "\n\n<Avatar ", "/>"])), imports.join('\n'), props.map(prop => "".concat(prop, " ")).join(''))
};

export { avatar_figma as default };
