import { a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/es.promise.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.split.js';
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import { PureComponent, Children } from 'react';
import classNames from 'classnames';
import joinDataTestAttributes from '../global/data-tests.js';
import { ControlLabel } from '../control-label/control-label.js';
import ControlHelp from '../control-help/control-help.js';
import { s as styles } from '../_helpers/caption.js';
export { C as Caption } from '../_helpers/caption.js';
import 'core-js/modules/web.dom-collections.iterator.js';

const _excluded = ["className", "split", "data-test", "label", "help"];
/**
 * @name Button Group
 */
class ButtonGroup extends PureComponent {
  render() {
    const _this$props = this.props,
      {
        className,
        split,
        'data-test': dataTest,
        label,
        help
      } = _this$props,
      restProps = _objectWithoutProperties(_this$props, _excluded);
    const classes = classNames(split ? styles.split : styles.buttonGroup, className, {
      [styles.disabled]: Children.toArray(this.props.children).every(child => child != null && typeof child === 'object' && 'props' in child && child.props.disabled)
    });
    return jsxs(Fragment, {
      children: [label && jsx(ControlLabel, {
        children: label
      }), jsx("div", _objectSpread2(_objectSpread2({}, restProps), {}, {
        "data-test": joinDataTestAttributes('ring-button-group', dataTest),
        className: classes
      })), help && jsx(ControlHelp, {
        className: styles.help,
        children: help
      })]
    });
  }
}

export { ButtonGroup as default };
