import { c as _taggedTemplateLiteral } from '../_helpers/_rollupPluginBabelHelpers.js';

var _templateObject;
// url=https://www.figma.com/design/HY6d4uE1xxaQXCMG9fe6Y2/RingUI?node-id=9954-528
const figma = require('figma');
const instance = figma.selectedInstance;
const size = instance.getString('Size');
const type = instance.getString('Type');
const state = instance.getString('State');
const variant = instance.getString('Variant');
const imports = ["import Button from '@jetbrains/ring-ui/components/button/button'"];
const props = [];
const DEFAULT_SIZE = 'M';
const isDefaultSize = size === DEFAULT_SIZE;
if (!isDefaultSize) {
  imports.push("import {ControlsHeight} from '@jetbrains/ring-ui/components/global/controls-height'");
  props.push("height={ControlsHeight.".concat(size, "}"));
}
switch (variant) {
  case 'Red outlined':
    props.push('danger');
    break;
  case 'Main':
    props.push('primary');
    break;
  case 'Green':
    props.push('success');
    break;
  case 'Red solid':
    props.push('error');
    break;
  case 'Gray':
    props.push('secondary');
    break;
  case 'Ghost':
    props.push('ghost');
    break;
  case 'Text':
    props.push('inline');
    break;
}
const children = instance.findLayers(() => true)[0].findText('Button').textContent;
const use12pxIcon = size === 'S' && variant !== 'Text';
let useButtonGroup = false;
switch (type) {
  case 'R-Icon-Label':
    props.push('dropdown');
    break;
  case 'L-Icon-Label':
    imports.push("import downloadIcon from '@jetbrains/icons/download".concat(use12pxIcon ? '-12px' : '', "'"));
    props.push('icon={downloadIcon}');
    break;
  case 'Icon':
    imports.push("import addIcon from '@jetbrains/icons/add".concat(use12pxIcon ? '-12px' : '', "'"));
    props.push('icon={addIcon}');
    break;
  case 'Split':
    imports.push("import ButtonGroup from '@jetbrains/ring-ui/components/button-group/button-group'");
    imports.push("import chevronDownIcon from '@jetbrains/icons/chevron-down".concat(use12pxIcon ? '-12px' : '', "'"));
    useButtonGroup = true;
    break;
}
switch (state) {
  case 'Disabled':
    props.push('disabled');
    break;
}
const joinedProps = props.map(prop => "".concat(prop, " ")).join('');
// prettier-ignore
const button = children ? "<Button ".concat(joinedProps, ">\n  ").concat(children, "\n</Button>") : "<Button ".concat(joinedProps, "/>");
var button_figma = {
  id: 'button',
  example: figma.code(_templateObject || (_templateObject = _taggedTemplateLiteral(["", "\n\n", ""])), imports.join('\n'),
  // prettier-ignore
  useButtonGroup ? "<ButtonGroup>\n  ".concat(button, "\n  <Button ").concat(joinedProps, " icon={chevronDownIcon} />\n</ButtonGroup>") : button)
};

export { button_figma as default };
