import { c as _taggedTemplateLiteral } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';

var _templateObject;
// url=https://www.figma.com/design/HY6d4uE1xxaQXCMG9fe6Y2/RingUI-(Internal)?node-id=226-2666
const figma = require('figma');
const instance = figma.selectedInstance;
const labelType = instance.getString('Label');
const children = instance.findConnectedInstances(() => true);
const label = instance.findText('Group description').textContent;
const isFormLabel = labelType === 'form';
const imports = ["import ControlLabel".concat(isFormLabel ? ', {LabelType}' : '', " from '@jetbrains/ring-ui/components/control-label/control-label'")];
const labelProps = [];
if (isFormLabel) {
  labelProps.push('type={LabelType.FORM}');
}
const renderedChildren = children.map(child => {
  const {
    example
  } = child.executeTemplate();
  const [childImports, code] = example[0].code.split('\n\n');
  return {
    imports: childImports,
    code
  };
});
var checkboxGroup_figma = {
  id: 'checkbox-group',
  example: figma.code(_templateObject || (_templateObject = _taggedTemplateLiteral(["", "\n", "\n\n<ControlLabel ", ">", "</ControlLabel>\n", ""])), imports.join('\n'), renderedChildren[0].imports, labelProps.map(prop => "".concat(prop, " ")).join(''), label, renderedChildren.map(_ref => {
    let {
      code
    } = _ref;
    return code;
  }).join('\n<br />\n'))
};

export { checkboxGroup_figma as default };
