import { c as _taggedTemplateLiteral } from '../_helpers/_rollupPluginBabelHelpers.js';

var _templateObject;
// url=https://www.figma.com/design/HY6d4uE1xxaQXCMG9fe6Y2/RingUI?node-id=224%3A1943
const figma = require('figma');
const instance = figma.selectedInstance;
const selected = instance.getString('Selected');
const hasLabel = instance.getBoolean('Label');
const label = instance.findText('Label').textContent;
const hasHelpText = instance.getBoolean('Help Text');
const helpText = instance.findText('Description').textContent;
const state = instance.getString('State');
const imports = ["import Checkbox from '@jetbrains/ring-ui/components/checkbox/checkbox'"];
const props = [];
switch (selected) {
  case 'selected':
    props.push('defaultChecked');
    break;
  case 'intermediate':
    props.push('indeterminate', 'defaultChecked');
    break;
}
if (hasLabel) {
  props.push("label=\"".concat(label, "\""));
}
if (hasHelpText) {
  props.push("help=\"".concat(helpText, "\""));
}
if (state === 'Disabled') {
  props.push('disabled');
}
var checkbox_figma = {
  id: 'checkbox',
  example: figma.code(_templateObject || (_templateObject = _taggedTemplateLiteral(["", "\n\n<Checkbox ", "/>"])), imports.join('\n'), props.map(prop => "".concat(prop, " ")).join(''))
};

export { checkbox_figma as default };
