function copyTextToClipboard(str) {
  const el = document.createElement('textarea');
  el.value = str;
  el.setAttribute('readonly', '');
  el.style.position = 'absolute';
  el.style.left = '-9999px';
  document.body.appendChild(el);
  const selection = document.getSelection();
  // Should restore previous selection
  const selected = selection && selection.rangeCount > 0 ? selection.getRangeAt(0) : false;
  el.select();
  document.execCommand('copy');
  document.body.removeChild(el);
  if (selected && selection) {
    selection.removeAllRanges();
    selection.addRange(selected);
  }
}
function copyHTMLToClipboard(str) {
  const el = document.createElement('div');
  el.innerHTML = str;
  el.setAttribute('readonly', '');
  el.style.position = 'absolute';
  el.style.left = '-9999px';
  document.body.appendChild(el);
  const selection = document.getSelection();
  // Should restore previous selection
  const selected = selection && selection.rangeCount > 0 ? selection.getRangeAt(0) : false;
  selection === null || selection === void 0 || selection.removeAllRanges();
  const range = document.createRange();
  range.selectNode(el);
  selection === null || selection === void 0 || selection.addRange(range);
  document.execCommand('copy');
  selection === null || selection === void 0 || selection.removeAllRanges();
  document.execCommand('copy');
  document.body.removeChild(el);
  if (selected && selection) {
    selection.addRange(selected);
  }
}

export { copyHTMLToClipboard, copyTextToClipboard };
