import { _ as _defineProperty } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/es.promise.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx } from 'react/jsx-runtime';
import { PureComponent } from 'react';
import classNames from 'classnames';
import highlight from 'highlight.js/lib/core';
export { default as highlight } from 'highlight.js/lib/core';
import normalizeIndent from '../global/normalize-indent.js';
import trivialTemplateTag from '../global/trivial-template-tag.js';
import memoize from '../global/memoize.js';
import 'core-js/modules/es.array.reverse.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.match.js';
import 'core-js/modules/es.string.split.js';
import 'core-js/modules/es.weak-map.js';

var styles = {"code":"code_rui_7185","inline":"inline_rui_7185","softWrap":"softWrap_rui_7185"};

var highlightStyles = {"highlightContainer":"highlightContainer_rui_6e02"};

function noop() {}
const registerLanguage = memoize(async language => {
  const languageExports = await import(/* webpackChunkName: "highlight-[request]" */"highlight.js/lib/languages/".concat(language, ".js"));
  highlight.registerLanguage(language, languageExports.default);
});
/**
 * @name Code
 */
class Code extends PureComponent {
  constructor() {
    super(...arguments);
    _defineProperty(this, "code", void 0);
  }
  componentDidMount() {
    this.highlight();
  }
  componentDidUpdate() {
    this.highlight();
  }
  async highlight() {
    const codeRef = this.codeRef;
    if (codeRef == null) {
      return;
    }
    const {
      language,
      inline,
      replacer
    } = this.props;
    if (!inline) {
      if (language != null && highlight.getLanguage(language) == null) {
        await registerLanguage(language);
      }
      // @ts-expect-error https://github.com/highlightjs/highlight.js/issues/2945
      highlight.highlightElement(codeRef);
    }
    replacer(codeRef);
  }
  get codeRef() {
    const {
      codeRef
    } = this.props;
    return !codeRef || typeof codeRef === 'function' ? this.code : codeRef.current;
  }
  get initCodeRef() {
    const {
      codeRef
    } = this.props;
    const isFunctionCodeRef = typeof codeRef === 'function';
    if (codeRef && !isFunctionCodeRef) {
      return codeRef;
    }
    return ref => {
      this.code = ref;
      if (isFunctionCodeRef) {
        codeRef(this.code);
      }
    };
  }
  render() {
    const {
      code,
      className,
      inline,
      softWrap,
      language
    } = this.props;
    const Tag = inline ? 'span' : 'pre';
    const classes = classNames(styles.code, className, language, {
      [styles.inline]: inline,
      [styles.softWrap]: softWrap
    });
    return jsx(Tag, {
      className: classes,
      "data-test": "ring-code",
      children: jsx("code", {
        // should be focusable because it can be scrollable
        tabIndex: inline ? -1 : 0,
        ref: this.initCodeRef,
        className: highlightStyles.highlightContainer,
        children: normalizeIndent(code)
      })
    });
  }
}
_defineProperty(Code, "defaultProps", {
  inline: false,
  softWrap: false,
  replacer: noop
});
const code = trivialTemplateTag(source => jsx(Code, {
  code: source
}));

export { code, Code as default };
