import { ReactNode } from 'react';
import { ConfirmAttributes } from '../confirm/confirm';
import { ControlsHeight } from '../global/controls-height';
/**
 * @name Confirm Service
 */
export type Props = ConfirmAttributes & {
    buttonsHeight?: ControlsHeight;
};
export declare const reactRoot: import("react-dom/client").Root;
export interface ConfirmServiceParams {
    text?: string | undefined;
    description?: ReactNode;
    cancelIsDefault?: boolean | undefined;
    confirmLabel?: string | undefined;
    rejectLabel?: string | undefined;
    onBeforeConfirm?: (() => void) | undefined;
    buttonsHeight?: ControlsHeight | undefined;
}
export default function confirm({ text, description, confirmLabel, rejectLabel, cancelIsDefault, onBeforeConfirm, buttonsHeight, }: ConfirmServiceParams): Promise<void>;
export declare function hideConfirm(): void;
