import { a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/es.symbol.description.js';
import 'core-js/modules/es.promise.js';
import { jsx } from 'react/jsx-runtime';
import { createRoot } from 'react-dom/client';
import Confirm from '../confirm/confirm.js';
import { getGlobalControlsHeight, ControlsHeightContext } from '../global/controls-height.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import 'react';
import '../dialog/dialog.js';
import 'react-dom';
import 'classnames';
import '@jetbrains/icons/close';
import '../island/island.js';
import '../global/data-tests.js';
import '../island/adaptive-island-hoc.js';
import '../global/linear-function.js';
import '../_helpers/island.js';
import '../island/header.js';
import '../island/content.js';
import 'element-resize-detector';
import '../global/schedule-raf.js';
import '../global/get-uid.js';
import 'core-js/modules/es.regexp.to-string.js';
import '../shortcuts/shortcuts.js';
import '../shortcuts/core.js';
import 'core-js/modules/es.object.assign.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.includes.js';
import 'core-js/modules/es.string.match.js';
import 'combokeys';
import '../global/sniffer.js';
import 'sniffr';
import '../tab-trap/tab-trap.js';
import '../global/dom.js';
import 'core-js/modules/es.string.split.js';
import '../button/button.js';
import '@jetbrains/icons/chevron-down';
import '@jetbrains/icons/chevron-12px-down';
import 'util-deprecate';
import '../icon/icon.js';
import '../icon/icon__constants.js';
import '../_helpers/icon__svg.js';
import 'core-js/modules/es.string.replace.js';
import 'core-js/modules/es.string.starts-with.js';
import '../global/memoize.js';
import 'core-js/modules/es.weak-map.js';
import '../link/clickableLink.js';
import '../_helpers/button__classes.js';
import '../popup/popup.target.js';
import '../popup/popup.js';
import '../popup/position.js';
import 'core-js/modules/es.array.sort.js';
import '../popup/popup.consts.js';
import '../_helpers/dialog__body-scroll-preventer.js';
import 'scrollbar-width';
import '../panel/panel.js';

const _excluded = ["buttonsHeight"];
const containerElement = document.createElement('div');
const reactRoot = createRoot(containerElement);
/**
 * Renders Confirm into virtual node to skip maintaining container
 */
function renderConfirm(props) {
  const {
      buttonsHeight = getGlobalControlsHeight()
    } = props,
    restProps = _objectWithoutProperties(props, _excluded);
  reactRoot.render(jsx(ControlsHeightContext.Provider, {
    value: buttonsHeight,
    children: jsx(Confirm, _objectSpread2({}, restProps))
  }));
}
function confirm(_ref) {
  let {
    text,
    description,
    confirmLabel = 'OK',
    rejectLabel = 'Cancel',
    cancelIsDefault,
    onBeforeConfirm,
    buttonsHeight
  } = _ref;
  return new Promise((resolve, reject) => {
    const props = {
      text,
      description,
      confirmLabel,
      rejectLabel,
      cancelIsDefault,
      buttonsHeight,
      show: true,
      onConfirm: () => {
        if (onBeforeConfirm) {
          renderConfirm(_objectSpread2(_objectSpread2({}, props), {}, {
            inProgress: true
          }));
          return Promise.resolve(onBeforeConfirm()).then(() => {
            renderConfirm(_objectSpread2(_objectSpread2({}, props), {}, {
              show: false
            }));
            resolve();
          }).catch(err => {
            renderConfirm(_objectSpread2(_objectSpread2({}, props), {}, {
              show: false
            }));
            reject(err);
          });
        }
        renderConfirm(_objectSpread2(_objectSpread2({}, props), {}, {
          show: false
        }));
        return resolve();
      },
      onReject: () => {
        renderConfirm(_objectSpread2(_objectSpread2({}, props), {}, {
          show: false
        }));
        reject(new Error('Confirm(@jetbrains/ring-ui): null exception'));
      }
    };
    renderConfirm(props);
  });
}
function hideConfirm() {
  renderConfirm({
    text: '',
    show: false
  });
}

export { confirm as default, hideConfirm, reactRoot };
