import { _ as _defineProperty } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/es.symbol.description.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import { PureComponent } from 'react';
import Dialog from '../dialog/dialog.js';
import { Button } from '../button/button.js';
import 'classnames';
import '../_helpers/island.js';
import HeaderWrapper from '../island/header.js';
import ContentWrapper from '../island/content.js';
import Panel from '../panel/panel.js';
import 'react-dom';
import '@jetbrains/icons/close';
import '../island/island.js';
import '../global/data-tests.js';
import '../island/adaptive-island-hoc.js';
import '../global/linear-function.js';
import 'element-resize-detector';
import '../global/schedule-raf.js';
import '../global/get-uid.js';
import 'core-js/modules/es.regexp.to-string.js';
import '../shortcuts/shortcuts.js';
import '../shortcuts/core.js';
import 'core-js/modules/es.object.assign.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.includes.js';
import 'core-js/modules/es.string.match.js';
import 'combokeys';
import '../global/sniffer.js';
import 'sniffr';
import '../tab-trap/tab-trap.js';
import '../global/dom.js';
import 'core-js/modules/es.string.split.js';
import '../popup/popup.target.js';
import '../popup/popup.js';
import 'core-js/modules/es.string.replace.js';
import '../popup/position.js';
import 'core-js/modules/es.array.sort.js';
import '../popup/popup.consts.js';
import '../_helpers/dialog__body-scroll-preventer.js';
import 'scrollbar-width';
import '@jetbrains/icons/chevron-down';
import '@jetbrains/icons/chevron-12px-down';
import 'util-deprecate';
import '../icon/icon.js';
import '../icon/icon__constants.js';
import '../_helpers/icon__svg.js';
import 'core-js/modules/es.string.starts-with.js';
import '../global/memoize.js';
import 'core-js/modules/es.weak-map.js';
import '../link/clickableLink.js';
import '../global/controls-height.js';
import '../_helpers/button__classes.js';

var styles = {"description":"description_rui_2cda"};

/**
 * @name Confirm
 */
class Confirm extends PureComponent {
  constructor() {
    super(...arguments);
    _defineProperty(this, "onEscPress", () => {
      if (this.props.rejectOnEsc) {
        this.props.onReject();
      }
    });
  }
  render() {
    const {
      show,
      className,
      inProgress,
      cancelIsDefault,
      text,
      description,
      confirmLabel,
      rejectLabel,
      onConfirm,
      onReject,
      native
    } = this.props;
    return jsxs(Dialog, {
      label: text || (typeof description === 'string' ? description : undefined),
      className: className,
      onEscPress: this.onEscPress,
      show: show,
      trapFocus: true,
      "data-test": "ring-confirm",
      native: native,
      children: [text && jsx(HeaderWrapper, {
        children: text
      }), description && jsx(ContentWrapper, {
        children: jsx("div", {
          className: styles.description,
          children: description
        })
      }), jsxs(Panel, {
        children: [jsx(Button, {
          "data-test": "confirm-ok-button",
          primary: !cancelIsDefault,
          loader: inProgress,
          disabled: inProgress,
          onClick: onConfirm,
          children: confirmLabel
        }), jsx(Button, {
          "data-test": "confirm-reject-button",
          onClick: onReject,
          disabled: inProgress,
          primary: cancelIsDefault,
          children: rejectLabel
        })]
      })]
    });
  }
}
_defineProperty(Confirm, "defaultProps", {
  text: null,
  description: null,
  show: false,
  rejectOnEsc: true,
  inProgress: false,
  cancelIsDefault: false,
  confirmLabel: 'OK',
  rejectLabel: 'Cancel',
  onConfirm: () => {},
  onReject: () => {}
});

export { Confirm as default };
