import { _ as _defineProperty, a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/es.promise.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import { Component, Children, cloneElement } from 'react';
import classNames from 'classnames';
import { s as styles, S as Sidebar } from '../_helpers/sidebar.js';
import 'react-waypoint';

const _excluded = ["children", "className", "contentClassName", "responsive"];
/**
 * @name Content Layout
 */
class ContentLayout extends Component {
  constructor() {
    super(...arguments);
    _defineProperty(this, "state", {
      contentNode: null
    });
    _defineProperty(this, "saveContentNode", contentNode => {
      this.setState({
        contentNode
      });
    });
  }
  render() {
    const _this$props = this.props,
      {
        children,
        className,
        contentClassName,
        responsive
      } = _this$props,
      restProps = _objectWithoutProperties(_this$props, _excluded);
    const classes = classNames(styles.contentLayout, className, {
      [styles.contentLayoutResponsive]: responsive
    });
    const contentClasses = classNames(styles.contentLayoutContent, contentClassName);
    const childrenArray = Children.toArray(children);
    const sidebarChild = childrenArray.filter(child => child != null && typeof child === 'object' && 'type' in child && child.type === Sidebar)[0];
    const sidebar = sidebarChild && /*#__PURE__*/cloneElement(sidebarChild, {
      contentNode: this.state.contentNode
    });
    const contentChildren = childrenArray.filter(child => child !== sidebarChild);
    return jsxs("div", _objectSpread2(_objectSpread2({
      "data-test": "content-layout"
    }, restProps), {}, {
      className: classes,
      children: [sidebar, jsx("main", {
        className: contentClasses,
        ref: this.saveContentNode,
        children: contentChildren
      })]
    }));
  }
}
_defineProperty(ContentLayout, "defaultProps", {
  responsive: true
});

export { Sidebar, ContentLayout as default };
