import { Component, HTMLAttributes } from 'react';
import { Waypoint } from 'react-waypoint';
export interface SidebarProps extends HTMLAttributes<HTMLElement> {
    right?: boolean | null | undefined;
    containerClassName?: string | null | undefined;
    fixedClassName?: string | null | undefined;
    contentNode?: HTMLElement | null | undefined;
}
export default class Sidebar extends Component<SidebarProps> {
    state: {
        topIsOutside: boolean;
        bottomIsOutside: boolean;
        sidebarVisibleHeight: undefined;
    };
    sidebarNode?: HTMLElement | null;
    handleTopWaypoint: ({ currentPosition }: Waypoint.CallbackArgs) => void;
    handleBottomWaypoint: ({ currentPosition, waypointTop }: Waypoint.CallbackArgs) => void;
    shouldUseFixation(): boolean;
    shouldFixateBottom(): boolean;
    sidebarRef: (node: HTMLElement | null) => void;
    render(): import("react/jsx-runtime").JSX.Element;
}
