import { _ as _defineProperty, a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import { jsx } from 'react/jsx-runtime';
import { Component } from 'react';
import { renderToStaticMarkup } from 'react-dom/server';

const _excluded = ["__html", "onComponentUpdate", "disabled", "tabIndex", "inputRef"],
  _excluded2 = ["children"];
/**
 * @name ContentEditable
 */
function noop() {}
class ContentEditableBase extends Component {
  shouldComponentUpdate(nextProps) {
    return nextProps.disabled !== this.props.disabled || nextProps.__html !== this.props.__html;
  }
  componentDidUpdate(prevProps) {
    this.props.onComponentUpdate(prevProps);
  }
  render() {
    const _this$props = this.props,
      {
        __html,
        onComponentUpdate,
        disabled,
        tabIndex,
        inputRef
      } = _this$props,
      props = _objectWithoutProperties(_this$props, _excluded);
    return jsx("div", _objectSpread2(_objectSpread2({}, props), {}, {
      ref: inputRef,
      // eslint-disable-next-line @typescript-eslint/ban-ts-comment
      // @ts-ignore
      disabled: disabled,
      role: "textbox",
      tabIndex: disabled ? undefined : tabIndex,
      contentEditable: !this.props.disabled,
      dangerouslySetInnerHTML: {
        __html
      }
    }));
  }
}
_defineProperty(ContentEditableBase, "defaultProps", {
  disabled: false,
  tabIndex: 0,
  onInput: noop,
  onComponentUpdate: noop
});
const ContentEditable = _ref => {
  let {
      children
    } = _ref,
    props = _objectWithoutProperties(_ref, _excluded2);
  return jsx(ContentEditableBase, _objectSpread2(_objectSpread2({}, props), {}, {
    __html: renderToStaticMarkup(children)
  }));
};

export { ContentEditable as default };
