import { a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import { jsx } from 'react/jsx-runtime';
import classNames from 'classnames';

var styles = {"label":"label_rui_40a4","formLabel":"formLabel_rui_40a4","secondaryLabel":"secondaryLabel_rui_40a4","disabledLabel":"disabledLabel_rui_40a4"};

const _excluded = ["children", "type", "disabled"];
var LabelType;
(function (LabelType) {
  LabelType["SECONDARY"] = "secondary";
  LabelType["FORM"] = "form";
})(LabelType || (LabelType = {}));
const classNameByType = {
  [LabelType.SECONDARY]: styles.secondaryLabel,
  [LabelType.FORM]: styles.formLabel
};
const ControlLabel = _ref => {
  let {
      children,
      type = LabelType.SECONDARY,
      disabled
    } = _ref,
    rest = _objectWithoutProperties(_ref, _excluded);
  return jsx("label", _objectSpread2(_objectSpread2({
    className: classNames(styles.label, classNameByType[type], {
      [styles.disabledLabel]: disabled
    })
  }, rest), {}, {
    children: children
  }));
};

export { ControlLabel, LabelType, ControlLabel as default };
