/**
 * @name Data List
 */
import { Component } from 'react';
import { FocusSensorOuterProps } from '../global/focus-sensor-hoc';
import { SelectionShortcutsAddProps, SelectionShortcutsOuterProps } from '../table/selection-shortcuts-hoc';
import { DisableHoverAddProps } from '../table/disable-hover-hoc';
import { SelectionItem } from '../table/selection';
import { FormattedItem, moreLessButtonStates } from './item';
export interface DataListBaseProps<T extends SelectionItem> {
    data: readonly T[];
    itemFormatter: (item: T) => FormattedItem<T>;
    loading?: boolean | undefined;
    onItemMoreLess?: ((item: T, more: boolean) => void) | undefined;
    itemMoreLessState?: ((item: FormattedItem<T>) => moreLessButtonStates) | undefined;
    remoteSelection?: boolean | undefined;
    className?: string | null | undefined;
    disabledHover?: boolean | null | undefined;
}
type FocusableProps<T extends SelectionItem> = DataListBaseProps<T> & DisableHoverAddProps & FocusSensorOuterProps<HTMLDivElement> & SelectionShortcutsAddProps<T>;
export type DataListContainerProps<T extends SelectionItem> = DataListBaseProps<T> & FocusSensorOuterProps<HTMLDivElement> & SelectionShortcutsOuterProps<T>;
export default class DataListContainer<T extends SelectionItem> extends Component<DataListContainerProps<T>> {
    DataList: import("react").ComponentClass<import("../table/disable-hover-hoc").DisableHoverProps<import("../table/selection-shortcuts-hoc").SelectionShortcutsProps<T, FocusableProps<T>>>, any>;
    render(): import("react/jsx-runtime").JSX.Element;
}
export {};
