import * as React from 'react';
import { DatePopupBaseProps, Field } from './consts';
export interface UpdateInputConfig {
    active: boolean;
    text: string | null;
}
export interface DateInputProps extends DatePopupBaseProps, UpdateInputConfig {
    divider: boolean;
    name: Field;
    hoverDate: Date | null;
    date: Date | null | undefined;
    time?: string | null | undefined;
    onInput: (value: string, name: Field) => void;
    onActivate: () => void;
    onConfirm: () => void;
}
export default class DateInput extends React.PureComponent<DateInputProps> {
    componentDidMount(): void;
    componentDidUpdate(prevProps: DateInputProps): void;
    static contextType: React.Context<import("../i18n/i18n-context").I18nContextProps>;
    context: React.ContextType<typeof DateInput.contextType>;
    input?: HTMLInputElement | null;
    inputRef: (el: HTMLInputElement | null) => void;
    updateInput({ text, active }: UpdateInputConfig): void;
    handleChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    handleKeyDown: (e: React.KeyboardEvent) => void;
    render(): import("react/jsx-runtime").JSX.Element;
}
