import 'core-js/modules/es.string.includes.js';
import { jsx } from 'react/jsx-runtime';
import classNames from 'classnames';
import { getDay } from 'date-fns/getDay';
import { format } from 'date-fns/format';
import { setDay } from 'date-fns/setDay';
import { startOfDay } from 'date-fns/startOfDay';
import { shiftWeekArray, getWeekStartsOn, weekdays } from './consts.js';
import { s as styles } from '../_helpers/date-picker.js';
import 'core-js/modules/es.regexp.exec.js';
import 'date-fns/add';

function Weekdays(props) {
  const days = shiftWeekArray(Object.values(weekdays), getWeekStartsOn(props.locale)).map(value => startOfDay(setDay(new Date(), value)));
  const {
    locale
  } = props;
  return jsx("div", {
    className: styles.weekdays,
    children: days.map(day => jsx("span", {
      className: classNames(styles.weekday, {
        [styles.weekend]: [weekdays.SA, weekdays.SU].includes(getDay(day))
      }),
      children: format(day, 'EEEEEE', {
        locale
      })
    }, +day))
  });
}

export { Weekdays as default };
