import { a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import { PureComponent, Children, cloneElement } from 'react';
import classNames from 'classnames';
import Popup from '../popup/popup.js';
import { Directions } from '../popup/popup.consts.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.regexp.to-string.js';
import 'core-js/modules/es.string.replace.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import 'react-dom';
import '../global/get-uid.js';
import '../global/schedule-raf.js';
import '../global/dom.js';
import 'core-js/modules/es.object.assign.js';
import 'core-js/modules/es.string.split.js';
import '../shortcuts/shortcuts.js';
import '../shortcuts/core.js';
import 'core-js/modules/es.string.includes.js';
import 'core-js/modules/es.string.match.js';
import 'combokeys';
import '../global/sniffer.js';
import 'sniffr';
import '../global/data-tests.js';
import '../tab-trap/tab-trap.js';
import '../popup/position.js';
import 'core-js/modules/es.array.sort.js';
import '../popup/popup.target.js';

var styles = {"errorBubblePopup":"errorBubblePopup_rui_b075","errorBubbleWrapper":"errorBubbleWrapper_rui_b075","errorBubble":"errorBubble_rui_b075"};

const _excluded = ["children", "className"];
/**
 * @name Error Bubble
 */
class ErrorBubble extends PureComponent {
  render() {
    const _this$props = this.props,
      {
        children,
        className
      } = _this$props,
      restProps = _objectWithoutProperties(_this$props, _excluded);
    const errorBubbleClasses = classNames(styles.errorBubble, className);
    return jsxs("div", {
      className: styles.errorBubbleWrapper,
      "data-test": "ring-error-bubble-wrapper",
      children: [children && Children.map(children, child => /*#__PURE__*/cloneElement(child, _objectSpread2(_objectSpread2({}, child.props), restProps))), restProps.error && jsx(Popup, {
        trapFocus: false,
        className: styles.errorBubblePopup,
        hidden: false,
        attached: false,
        directions: [Directions.RIGHT_CENTER, Directions.RIGHT_BOTTOM, Directions.RIGHT_TOP],
        children: jsx("div", {
          className: errorBubbleClasses,
          "data-test": "ring-error-bubble",
          children: restProps.error
        })
      })]
    });
  }
}

export { ErrorBubble as default };
