import 'core-js/modules/es.symbol.description.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import { Component } from 'react';
import classNames from 'classnames';
import Icon from '../icon/icon.js';
import { Size } from '../icon/icon__constants.js';
import joinDataTestAttributes from '../global/data-tests.js';
import '../_helpers/_rollupPluginBabelHelpers.js';
import 'util-deprecate';
import '../_helpers/icon__svg.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.replace.js';
import 'core-js/modules/es.string.starts-with.js';
import '../global/memoize.js';
import 'core-js/modules/es.weak-map.js';
import 'core-js/modules/web.dom-collections.iterator.js';

var styles = {"errorMessage":"errorMessage_rui_c974","title":"title_rui_c974","description":"description_rui_c974","content":"content_rui_c974","icon":"icon_rui_c974"};

/**
 * @name Error Message
 */
class ErrorMessage extends Component {
  render() {
    const {
      className,
      icon,
      code,
      message,
      description,
      children,
      'data-test': dataTest
    } = this.props;
    const classes = classNames(styles.errorMessage, className);
    return jsxs("div", {
      className: classes,
      "data-test": joinDataTestAttributes('ring-error-message', dataTest),
      children: [icon && jsx(Icon, {
        className: styles.icon,
        glyph: icon,
        size: Size.Size64,
        suppressSizeWarning: true
      }), jsxs("div", {
        className: styles.content,
        children: [jsxs("div", {
          className: styles.title,
          "data-test": "ring-error-message-title",
          children: [code && "".concat(code, ":"), " ", message]
        }), description && jsx("div", {
          className: styles.description,
          children: description
        }), children]
      })]
    });
  }
}

export { ErrorMessage as default };
