/**
 * @name Footer
 */
import { HTMLAttributeAnchorTarget, ReactElement } from 'react';
/**
 * Return copyright string
 * @param year {int}
 * @returns {string}
 */
export declare function copyright(year: number): string;
export interface FooterLinkItem {
    copyright?: number | null | undefined;
    label?: string | null | undefined;
    url?: string | null | undefined;
    target?: HTMLAttributeAnchorTarget | undefined;
    title?: string | undefined;
}
type FooterItem = FooterLinkItem | ReactElement<any> | string | number;
type FooterItems = readonly (FooterItem | readonly FooterItem[])[];
export interface FooterProps {
    className?: string | null | undefined;
    floating?: boolean | null | undefined;
    left?: FooterItems | null | undefined;
    center?: FooterItems | null | undefined;
    right?: FooterItems | null | undefined;
}
declare const Footer: import("react").NamedExoticComponent<FooterProps>;
export default Footer;
