import memoizeOne from 'memoize-one';

function composeRefs() {
  for (var _len = arguments.length, refs = new Array(_len), _key = 0; _key < _len; _key++) {
    refs[_key] = arguments[_key];
  }
  return value => refs.forEach(ref => {
    if (typeof ref === 'function') {
      ref(value);
    } else if (ref != null) {
      ref.current = value;
    }
  });
}
function createComposedRef() {
  return memoizeOne(composeRefs);
}

export { createComposedRef };
