import 'core-js/modules/es.regexp.to-string.js';

const idCounters = {};
function generateSalt() {
  // eslint-disable-next-line @typescript-eslint/no-magic-numbers
  return (Date.now() * Math.random()).toString(36).substring(0, 4);
}
const salt = generateSalt();
function getUID(name) {
  if (!name) {
    throw Error('Argument "name" is required in getUID()');
  }
  if (!idCounters[name]) {
    idCounters[name] = 0;
  }
  const id = String(idCounters[name]++);
  return "".concat(name).concat(id, "-").concat(salt);
}

export { getUID as default };
