import { _ as _defineProperty } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/es.promise.js';
import 'core-js/modules/web.dom-collections.iterator.js';

class Listeners {
  constructor() {
    _defineProperty(this, "_all", new Map());
  }
  trigger() {
    for (var _len = arguments.length, _ref = new Array(_len), _key = 0; _key < _len; _key++) {
      _ref[_key] = arguments[_key];
    }
    let [event, data] = _ref;
    const handlers = this._all.get(event);
    if (handlers) {
      return Promise.all([...handlers].map(fn => fn(data)));
    }
    return Promise.resolve([]);
  }
  add(event, handler) {
    let handlers = this._all.get(event);
    if (!handlers) {
      handlers = new Set();
      this._all.set(event, handlers);
    }
    handlers.add(handler);
  }
  remove(event, handler) {
    const handlers = this._all.get(event);
    if (handlers) {
      handlers.delete(handler);
    }
  }
  removeAll() {
    this._all = new Map();
  }
}

export { Listeners as default };
