import 'core-js/modules/es.array.reverse.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.match.js';
import 'core-js/modules/es.string.split.js';
import 'core-js/modules/web.dom-collections.iterator.js';

function normalizeIndent(string) {
  const nonemptyRE = /\S/;
  const indentRE = /^\s*/;
  const lines = string.split(/\n/g);
  const linesCopy = [...lines];
  //remove empty lines at the beginning and the end
  for (const line of linesCopy) {
    if (nonemptyRE.test(line)) {
      break;
    } else {
      lines.shift();
    }
  }
  for (const line of linesCopy.reverse()) {
    if (nonemptyRE.test(line)) {
      break;
    } else {
      lines.pop();
    }
  }
  const indents = lines.filter(line => nonemptyRE.test(line)).map(line => {
    var _line$match$0$length, _line$match;
    return (_line$match$0$length = (_line$match = line.match(indentRE)) === null || _line$match === void 0 ? void 0 : _line$match[0].length) !== null && _line$match$0$length !== void 0 ? _line$match$0$length : 0;
  });
  const minIndent = Math.min(...indents);
  return lines.map(line => line.slice(minIndent)).join('\n');
}

export { normalizeIndent as default };
