import 'core-js/modules/es.promise.js';

// Useful for using fetch with timeout
// https://github.com/github/fetch/issues/175#issuecomment-284787564
function promiseWithTimeout(promise, timeout, _ref) {
  let {
    error,
    onTimeout = () => {}
  } = _ref;
  return new Promise((resolve, reject) => {
    setTimeout(() => {
      onTimeout();
      reject(error || new Error('Timeout'));
    }, timeout);
    promise.then(resolve, reject);
  });
}

export { promiseWithTimeout as default };
