import { _ as _defineProperty } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx } from 'react/jsx-runtime';
import { Component } from 'react';

class Renderer extends Component {
  constructor() {
    super(...arguments);
    _defineProperty(this, "node", void 0);
    _defineProperty(this, "nodeRef", node => {
      this.node = node;
    });
  }
  componentDidMount() {
    const {
      node
    } = this;
    const {
      nodes
    } = this.props;
    if (!node || !nodes || !nodes.length) {
      return;
    }
    Array.from(this.props.nodes).forEach(nodeToRender => node.appendChild(nodeToRender));
  }
  render() {
    const {
      className
    } = this.props;
    return jsx("div", {
      className: className,
      ref: this.nodeRef
    });
  }
}

export { Renderer as default };
