import { Component, PropsWithoutRef } from 'react';
export interface RerenderableComponent<P, S> extends Component<P, S> {
    node?: HTMLElement | null;
}
export interface RerenderableComponentClass<P, S> {
    new (props: P): RerenderableComponent<P, S>;
}
export default function rerenderHOC<P extends {}, C extends Component<P, unknown>>(ComposedComponent: {
    new (props: P): C;
}): import("react").ForwardRefExoticComponent<PropsWithoutRef<P> & import("react").RefAttributes<C>>;
