import { _ as _defineProperty, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx } from 'react/jsx-runtime';
import { forwardRef, Component } from 'react';
import { createComposedRef } from './composeRefs.js';
import 'memoize-one';

function rerenderHOC(ComposedComponent) {
  class Rerenderer extends Component {
    constructor() {
      super(...arguments);
      _defineProperty(this, "state", this.props.props);
      _defineProperty(this, "composedRef", createComposedRef());
    }
    render() {
      const _ref = this.composedRef(this.props.forwardedRef);
      return jsx(ComposedComponent, _objectSpread2(_objectSpread2({}, this.state), {}, {
        ref: instance => _ref(instance != null ? _objectSpread2(_objectSpread2({}, instance), {}, {
          rerender: this.setState.bind(this)
        }) : null)
      }));
    }
  }
  return /*#__PURE__*/forwardRef(function RerendererForwardRef(props, ref) {
    return jsx(Rerenderer, {
      props: props,
      forwardedRef: ref
    });
  });
}

export { rerenderHOC as default };
