import 'core-js/modules/web.dom-collections.iterator.js';
import { useRef, useLayoutEffect, useCallback } from 'react';

function useEventCallback(fn) {
  const ref = useRef(null);
  useLayoutEffect(() => {
    ref.current = fn;
  });
  return useCallback(function () {
    const {
      current
    } = ref;
    if (current == null) {
      throw new Error('callback created in useEventCallback can only be called from event handlers');
    }
    return current(...arguments);
  }, []);
}

export { useEventCallback as default };
