import { a as _objectWithoutProperties } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/es.array.reverse.js';
import { jsx } from 'react/jsx-runtime';
import { Component } from 'react';
import classNames from 'classnames';
import { s as styles } from '../_helpers/grid.js';

const _excluded = ["children", "className", "reverse"];
const modifierKeys = ['start', 'center', 'end',
// text-align, justify-content
'around', 'between',
// justify-content
'top', 'middle', 'baseline', 'bottom',
// align-items
'first', 'last' // order
];
/**
 * Converts xs="middle" to class "middle-xs"
 * @param {Object} props incoming props
 * @returns {Array} result modifier classes
 */
function getModifierClassNames(props) {
  return modifierKeys.reduce((result, key) => {
    if (props[key]) {
      return result.concat(styles["".concat(key, "-").concat(props[key])]);
    }
    return result;
  }, []);
}
class Row extends Component {
  render() {
    const _this$props = this.props,
      {
        children,
        className,
        reverse
      } = _this$props,
      restProps = _objectWithoutProperties(_this$props, _excluded);
    const classes = classNames(className, styles.row, getModifierClassNames(restProps), {
      [styles.reverse]: reverse
    });
    return jsx("div", {
      className: classes,
      "data-test": "ring-grid-row",
      children: children
    });
  }
}

export { Row as default };
