import { a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import { jsx } from 'react/jsx-runtime';
import { Component } from 'react';
import classNames from 'classnames';
import { Button } from '../button/button.js';
import { s as styles } from '../_helpers/header.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import '@jetbrains/icons/chevron-down';
import '@jetbrains/icons/chevron-12px-down';
import 'util-deprecate';
import '../icon/icon.js';
import '../icon/icon__constants.js';
import '../_helpers/icon__svg.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.replace.js';
import 'core-js/modules/es.string.starts-with.js';
import '../global/memoize.js';
import 'core-js/modules/es.weak-map.js';
import '../link/clickableLink.js';
import '../global/controls-height.js';
import '../_helpers/button__classes.js';

const _excluded = ["className", "rotatable"];
class HeaderIcon extends Component {
  render() {
    const _this$props = this.props,
      {
        className,
        rotatable: rotatable
      } = _this$props,
      restProps = _objectWithoutProperties(_this$props, _excluded);
    const classes = classNames(styles.icon, className, {
      [styles.rotatable]: rotatable,
      [styles.rotated]: rotatable && restProps.active
    });
    return jsx(Button, _objectSpread2(_objectSpread2({}, restProps), {}, {
      className: classes
    }));
  }
}

export { HeaderIcon as default };
