import { Component, HTMLAttributes } from 'react';
import Theme from '../global/theme';
interface HeaderProps extends HTMLAttributes<HTMLElement> {
    spaced: boolean;
    theme: Theme;
    vertical: boolean;
}
/**
 * @name Header
 */
/**
 * Displays a configurable page header. See available presentation options in the knobs panel.
 */
declare class Header extends Component<HeaderProps> {
    static defaultProps: {
        spaced: boolean;
        theme: Theme;
        vertical: boolean;
    };
    render(): import("react/jsx-runtime").JSX.Element;
}
export type HeaderAttrs = React.JSX.LibraryManagedAttributes<typeof Header, HeaderProps>;
export default Header;
export { default as Logo } from './logo';
export { default as Tray } from './tray';
export { default as HeaderIcon } from './header-icon';
export { default as Profile } from './profile';
export { default as SmartProfile } from './smart-profile';
export { default as Services } from './services';
export { default as SmartServices } from './smart-services';
