import { _ as _defineProperty, a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import { jsx } from 'react/jsx-runtime';
import { Component } from 'react';
import classNames from 'classnames';
import { T as Theme, a as ThemeProvider } from '../_helpers/theme.js';
import { s as styles } from '../_helpers/header.js';
export { default as Logo } from './logo.js';
export { default as Tray } from './tray.js';
export { default as HeaderIcon } from './header-icon.js';
export { default as Profile } from './profile.js';
export { default as SmartProfile } from './smart-profile.js';
export { default as Services } from './services.js';
export { default as SmartServices } from './smart-services.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import 'react-dom';
import '../popup/popup.target.js';
import '../popup/popup.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.regexp.to-string.js';
import 'core-js/modules/es.string.replace.js';
import '../global/get-uid.js';
import '../global/schedule-raf.js';
import '../global/dom.js';
import 'core-js/modules/es.object.assign.js';
import 'core-js/modules/es.string.split.js';
import '../shortcuts/shortcuts.js';
import '../shortcuts/core.js';
import 'core-js/modules/es.string.includes.js';
import 'core-js/modules/es.string.match.js';
import 'combokeys';
import '../global/sniffer.js';
import 'sniffr';
import '../global/data-tests.js';
import '../tab-trap/tab-trap.js';
import '../popup/position.js';
import 'core-js/modules/es.array.sort.js';
import '../popup/popup.consts.js';
import '../icon/icon.js';
import 'util-deprecate';
import '../icon/icon__constants.js';
import '../_helpers/icon__svg.js';
import 'core-js/modules/es.string.starts-with.js';
import '../global/memoize.js';
import 'core-js/modules/es.weak-map.js';
import '../button/button.js';
import '@jetbrains/icons/chevron-down';
import '@jetbrains/icons/chevron-12px-down';
import '../link/clickableLink.js';
import '../global/controls-height.js';
import '../_helpers/button__classes.js';
import '../avatar/avatar.js';
import '../global/url.js';
import '../_helpers/avatar-info.js';
import '../avatar/avatar-size.js';
import '../avatar/fallback-avatar.js';
import '../dropdown-menu/dropdown-menu.js';
import '../list/list.js';
import 'core-js/modules/es.symbol.description.js';
import 'core-js/modules/es.string.trim.js';
import 'react-virtualized/dist/es/List';
import 'react-virtualized/dist/es/AutoSizer';
import 'react-virtualized/dist/es/WindowScroller';
import 'react-virtualized/dist/es/CellMeasurer';
import 'memoize-one';
import '../global/create-stateful-context.js';
import '../list/list__item.js';
import '../checkbox/checkbox.js';
import '@jetbrains/icons/checkmark-12px';
import '@jetbrains/icons/remove-12px';
import '../global/composeRefs.js';
import '../control-help/control-help.js';
import '../link/link.js';
import '../_helpers/link.js';
import '../_helpers/list.js';
import '../list/consts.js';
import '../list/list__classes.js';
import '../list/list__custom.js';
import '../global/get-event-key.js';
import '../list/list__title.js';
import '../list/list__separator.js';
import '../list/list__hint.js';
import '../dropdown/dropdown.js';
import '../global/typescript-utils.js';
import '../_helpers/anchor.js';
import '../popup-menu/popup-menu.js';
import 'core-js/modules/es.parse-float.js';
import '../i18n/i18n-context.js';
import '../i18n/i18n.js';
import 'core-js/modules/es.promise.js';
import '../auth/auth.js';
import '../auth/window-flow.js';
import '../auth/response-parser.js';
import 'es6-error';
import '../auth/down-notification.js';
import '../alert-service/alert-service.js';
import 'react-dom/client';
import '../alert/alert.js';
import '@jetbrains/icons/exception';
import '@jetbrains/icons/checkmark';
import '@jetbrains/icons/warning';
import '@jetbrains/icons/close';
import '../loader-inline/loader-inline.js';
import '../alert/container.js';
import '../group/group.js';
import '../auth/auth__core.js';
import 'core-js/modules/es.parse-int.js';
import 'core-js/modules/es.string.search.js';
import 'core-js/modules/web.url.js';
import 'core-js/modules/web.url.to-json.js';
import 'core-js/modules/web.url-search-params.js';
import '../global/listeners.js';
import '../http/http.js';
import '../global/promise-with-timeout.js';
import '../auth/storage.js';
import '../storage/storage__local.js';
import '../auth/request-builder.js';
import 'simply-uuid';
import '../auth/background-flow.js';
import '../auth/token-validator.js';
import '@jetbrains/icons/services-20px';
import '../_helpers/services-link.js';

const _excluded = ["children", "className", "spaced", "theme", "vertical"];
/**
 * @name Header
 */
/**
 * Displays a configurable page header. See available presentation options in the knobs panel.
 */
class Header extends Component {
  render() {
    const _this$props = this.props,
      {
        children,
        className,
        spaced,
        theme,
        vertical
      } = _this$props,
      restProps = _objectWithoutProperties(_this$props, _excluded);
    const classes = classNames(vertical ? styles.headerVertical : styles.header, className, {
      [styles.headerSpaced]: spaced && !vertical
    });
    const overrideOuterTheme = theme !== Theme.LIGHT;
    const header = jsx("header", _objectSpread2(_objectSpread2({}, restProps), {}, {
      className: classes,
      children: children
    }));
    if (overrideOuterTheme) {
      return jsx(ThemeProvider, {
        theme: theme,
        children: header
      });
    }
    return header;
  }
}
_defineProperty(Header, "defaultProps", {
  spaced: true,
  theme: Theme.DARK,
  vertical: false
});

export { Header as default };
