import { HTMLAttributes, PureComponent } from 'react';
import Theme from '../global/theme';
import ServicesLink, { Service } from './services-link';
export interface ServicesProps extends HTMLAttributes<HTMLElement> {
    theme: Theme;
    clientId?: string | null | undefined;
    initShown?: boolean | undefined;
    loading?: boolean | null | undefined;
    services?: Service[] | null | undefined;
}
export default class Services extends PureComponent<ServicesProps> {
    static sort: (a: Service, b: Service) => number;
    static defaultProps: {
        theme: Theme;
    };
    static Link: typeof ServicesLink;
    serviceIsActive: (service: Service) => boolean;
    render(): import("react/jsx-runtime").JSX.Element;
}
