import { _ as _defineProperty, a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx } from 'react/jsx-runtime';
import { Component } from 'react';
import HTTP from '../http/http.js';
import Services from './services.js';
import 'core-js/modules/es.promise.js';
import 'core-js/modules/es.weak-map.js';
import 'es6-error';
import '../global/url.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.match.js';
import 'core-js/modules/es.string.replace.js';
import 'core-js/modules/es.array.sort.js';
import '@jetbrains/icons/services-20px';
import 'classnames';
import '../dropdown/dropdown.js';
import '../global/data-tests.js';
import '../global/typescript-utils.js';
import '../_helpers/anchor.js';
import '../button/button.js';
import '@jetbrains/icons/chevron-down';
import '@jetbrains/icons/chevron-12px-down';
import 'util-deprecate';
import '../icon/icon.js';
import '../icon/icon__constants.js';
import '../_helpers/icon__svg.js';
import 'core-js/modules/es.string.starts-with.js';
import '../global/memoize.js';
import '../link/clickableLink.js';
import '../global/controls-height.js';
import '../_helpers/button__classes.js';
import '../popup/popup.js';
import 'core-js/modules/es.regexp.to-string.js';
import 'react-dom';
import '../global/get-uid.js';
import '../global/schedule-raf.js';
import '../global/dom.js';
import 'core-js/modules/es.object.assign.js';
import 'core-js/modules/es.string.split.js';
import '../shortcuts/shortcuts.js';
import '../shortcuts/core.js';
import 'core-js/modules/es.string.includes.js';
import 'combokeys';
import '../global/sniffer.js';
import 'sniffr';
import '../tab-trap/tab-trap.js';
import '../popup/position.js';
import '../popup/popup.consts.js';
import '../popup/popup.target.js';
import '../_helpers/theme.js';
import './header-icon.js';
import '../_helpers/header.js';
import '../_helpers/services-link.js';
import '../link/link.js';
import '../_helpers/link.js';

const _excluded = ["auth"];
function noop() {}
class SmartServices extends Component {
  constructor() {
    super(...arguments);
    _defineProperty(this, "state", {
      visible: true,
      loading: false,
      services: null
    });
    _defineProperty(this, "http", void 0);
    _defineProperty(this, "stopLoading", () => {
      this.setState({
        loading: false
      });
    });
    _defineProperty(this, "getServicesContent", () => {
      var _this$getServices;
      this.setState({
        loading: true
      });
      (_this$getServices = this.getServices(SmartServices.allFields)) === null || _this$getServices === void 0 || _this$getServices.then(services => {
        this.setState({
          services
        });
        this.stopLoading();
      }).catch(this.stopLoading);
    });
  }
  componentDidMount() {
    var _this$getServices2;
    const {
      auth
    } = this.props;
    this.http = new HTTP(auth, auth.getAPIPath());
    (_this$getServices2 = this.getServices(SmartServices.countFields)) === null || _this$getServices2 === void 0 || _this$getServices2.then(services => {
      if (!services.length) {
        this.setState({
          visible: false
        });
      }
    }).catch(noop);
  }
  getServices(fields) {
    var _this$http;
    return (_this$http = this.http) === null || _this$http === void 0 ? void 0 : _this$http.get("services/header?fields=".concat(fields));
  }
  render() {
    const {
      services,
      visible,
      loading
    } = this.state;
    const _this$props = this.props,
      {
        auth
      } = _this$props,
      props = _objectWithoutProperties(_this$props, _excluded);
    if (!visible) {
      return null;
    }
    return jsx(Services, _objectSpread2(_objectSpread2({}, props), {}, {
      clientId: auth.config.clientId,
      initShown: true,
      loading: loading,
      onClick: this.getServicesContent,
      services: services
    }));
  }
}
_defineProperty(SmartServices, "allFields", 'id,name,applicationName,homeUrl,iconUrl');
_defineProperty(SmartServices, "countFields", 'key');

export { SmartServices as default };
