import { a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import { jsx } from 'react/jsx-runtime';
import { memo } from 'react';
import classNames from 'classnames';
import deprecate from 'util-deprecate';
import { s as styles } from '../_helpers/heading.js';

const _excluded = ["children", "className", "level"],
  _excluded2 = ["className", "bold"];
/**
 * @name Heading
 */
var Levels;
(function (Levels) {
  Levels[Levels["H1"] = 1] = "H1";
  Levels[Levels["H2"] = 2] = "H2";
  Levels[Levels["H3"] = 3] = "H3";
  Levels[Levels["H4"] = 4] = "H4";
})(Levels || (Levels = {}));
const fallbackHeading = deprecate(() => 'h3', 'Headings of level 5 and higher are replaced with h3');
const HeadingMemo = /*#__PURE__*/memo(function Heading(_ref) {
  let {
      children,
      className,
      level = Levels.H1
    } = _ref,
    restProps = _objectWithoutProperties(_ref, _excluded);
  const classes = classNames(styles.heading, className);
  const Tag = level <= Levels.H4 ? "h".concat(level) : fallbackHeading();
  return jsx(Tag, _objectSpread2(_objectSpread2({}, restProps), {}, {
    className: classes,
    children: children
  }));
});
const Heading = HeadingMemo;
Heading.Levels = Levels;
const H1 = /*#__PURE__*/memo(function H1(props) {
  return jsx(Heading, _objectSpread2(_objectSpread2({}, props), {}, {
    level: Levels.H1
  }));
});
const H2 = /*#__PURE__*/memo(function H2(props) {
  return jsx(Heading, _objectSpread2(_objectSpread2({}, props), {}, {
    level: Levels.H2
  }));
});
const H3 = /*#__PURE__*/memo(function H3(props) {
  return jsx(Heading, _objectSpread2(_objectSpread2({}, props), {}, {
    level: Levels.H3
  }));
});
const H4 = /*#__PURE__*/memo(function H4(_ref2) {
  let {
      className,
      bold
    } = _ref2,
    restProps = _objectWithoutProperties(_ref2, _excluded2);
  const classes = classNames(className, {
    [styles.bold]: bold
  });
  return jsx(Heading, _objectSpread2(_objectSpread2({}, restProps), {}, {
    className: classes,
    level: Levels.H4
  }));
});

export { H1, H2, H3, H4, Levels, Heading as default };
