import 'core-js/modules/es.promise.js';
import HTTP from '../http/http.js';
import '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/es.weak-map.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import 'es6-error';
import '../global/url.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.match.js';
import 'core-js/modules/es.string.replace.js';

const DEFAULT_FIELDS = 'id,name,login,banned,banReason,profile(email/email,avatar/url)';
function convertUserForCard(hubUser) {
  var _hubUser$profile, _hubUser$profile2;
  let serverUri = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
  return {
    name: hubUser.name,
    login: hubUser.login,
    banned: hubUser.banned,
    banReason: hubUser.banReason,
    email: (_hubUser$profile = hubUser.profile) === null || _hubUser$profile === void 0 || (_hubUser$profile = _hubUser$profile.email) === null || _hubUser$profile === void 0 ? void 0 : _hubUser$profile.email,
    avatarUrl: (_hubUser$profile2 = hubUser.profile) === null || _hubUser$profile2 === void 0 || (_hubUser$profile2 = _hubUser$profile2.avatar) === null || _hubUser$profile2 === void 0 ? void 0 : _hubUser$profile2.url,
    href: "".concat(serverUri, "users/").concat(hubUser.id)
  };
}
function createHubUserCardSource(auth, userId) {
  let fields = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : DEFAULT_FIELDS;
  const http = new HTTP(auth);
  return async function getHubUser() {
    const hubUser = await http.get("".concat(auth.config.serverUri, "api/rest/users/").concat(userId, "?fields=").concat(fields));
    return convertUserForCard(hubUser, auth.config.serverUri);
  };
}

export { convertUserForCard, createHubUserCardSource };
