import { jsx } from 'react/jsx-runtime';
import * as React from 'react';
import { useEffect } from 'react';
import { translate, getTranslations, setTranslations } from './i18n.js';
import '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';

const I18nContext = /*#__PURE__*/React.createContext({
  messages: getTranslations(),
  translate
});
const I18nContextHolder = _ref => {
  let {
    children,
    messages
  } = _ref;
  useEffect(() => {
    setTranslations(messages);
  }, [messages]);
  return jsx(I18nContext.Provider, {
    value: {
      messages,
      translate
    },
    children: children
  });
};

export { I18nContext, I18nContextHolder };
