import { b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';

var login = "Log in";
var logout = "Log out";
var loginTo = "Log in to {{serviceName}}";
var ok = "OK";
var cancel = "Cancel";
var tryAgainLabel = "Try again";
var postpone = "Postpone";
var youHaveLoggedInAs = "You have logged in as another user: {{userName}}";
var applyChange = "Apply change";
var backendIsNotAvailable = "Connection lost";
var checkAgain = "try again";
var nothingHappensLink = "Click here if nothing happens";
var errorMessage = "There may be a problem with your network connection. Make sure that you are online and";
var applyChangedUser = "Apply changed user";
var profile = "Profile";
var switchUser = "Switch user";
var addFirstDate = "Add first date";
var addSecondDate = "Add second date";
var addTime = "Add time";
var selectName = "Select {{name}}";
var setDate = "Set a date";
var setDateTime = "Set date and time";
var setPeriod = "Set a period";
var clear = "Clear input";
var gotIt = "Got it";
var dismiss = "Dismiss";
var perPage = "per page";
var firstPage = "First page";
var lastPage = "Last page";
var nextPage = "Next page";
var previousPage = "Previous";
var searchTitle = "Search";
var clearTitle = "Clear search input";
var userAgreement = "User Agreement";
var accept = "Accept";
var decline = "Decline";
var close = "Close";
var scrollToAccept = "View the entire agreement to continue";
var remindLater = "Remind me later";
var filterItems = "Filter items";
var selectOption = "Select an option";
var progress = "Progress";
var loading = "Loading...";
var noOptionsFound = "No options found";
var banned = "banned";
var online = "online";
var offline = "offline";
var copyToClipboard = "Copy email to clipboard";
var copiedToClipboard = "Email was copied to clipboard";
var copingToClipboardError = "Failed to copy to clipboard";
var unverified = "Unverified";
var defaultMessages = {
	login: login,
	logout: logout,
	loginTo: loginTo,
	ok: ok,
	cancel: cancel,
	tryAgainLabel: tryAgainLabel,
	postpone: postpone,
	youHaveLoggedInAs: youHaveLoggedInAs,
	applyChange: applyChange,
	backendIsNotAvailable: backendIsNotAvailable,
	checkAgain: checkAgain,
	nothingHappensLink: nothingHappensLink,
	errorMessage: errorMessage,
	applyChangedUser: applyChangedUser,
	profile: profile,
	switchUser: switchUser,
	addFirstDate: addFirstDate,
	addSecondDate: addSecondDate,
	addTime: addTime,
	selectName: selectName,
	setDate: setDate,
	setDateTime: setDateTime,
	setPeriod: setPeriod,
	clear: clear,
	gotIt: gotIt,
	dismiss: dismiss,
	perPage: perPage,
	firstPage: firstPage,
	lastPage: lastPage,
	nextPage: nextPage,
	previousPage: previousPage,
	searchTitle: searchTitle,
	clearTitle: clearTitle,
	userAgreement: userAgreement,
	accept: accept,
	decline: decline,
	close: close,
	scrollToAccept: scrollToAccept,
	remindLater: remindLater,
	filterItems: filterItems,
	selectOption: selectOption,
	progress: progress,
	loading: loading,
	noOptionsFound: noOptionsFound,
	banned: banned,
	online: online,
	offline: offline,
	copyToClipboard: copyToClipboard,
	copiedToClipboard: copiedToClipboard,
	copingToClipboardError: copingToClipboardError,
	unverified: unverified
};

let messages = defaultMessages;
const warned = new Set();
function warnMissedKeyOnce(key) {
  if (warned.has(key)) {
    return;
  }
  warned.add(key);
  // eslint-disable-next-line no-console
  console.warn("Missing localisation for key \"".concat(key, "\""));
}
function setTranslations(newMessages) {
  messages = newMessages;
}
function getTranslations() {
  return messages;
}
function getTranslationsWithFallback() {
  return _objectSpread2(_objectSpread2({}, defaultMessages), messages);
}
function translate(key) {
  var _messages$key;
  if (!(key in messages)) {
    warnMissedKeyOnce(key);
  }
  return (_messages$key = messages[key]) !== null && _messages$key !== void 0 ? _messages$key : defaultMessages[key];
}

export { getTranslations, getTranslationsWithFallback, setTranslations, translate };
