/**
 * @name Icon
 */
import { PureComponent, ComponentType, SVGAttributes, HTMLAttributes } from 'react';
import { Color, Size } from './icon__constants';
export type IconType = ComponentType<SVGAttributes<SVGSVGElement>>;
export interface IconProps extends HTMLAttributes<HTMLElement> {
    color: Color;
    glyph: string | IconType | null;
    /**
     * @deprecated Use icons with appropriate intrinsic sizes instead
     */
    height?: number | undefined;
    /**
     * @deprecated Use icons with appropriate intrinsic sizes instead
     */
    size?: Size | number | null | undefined;
    /**
     * @deprecated Use icons with appropriate intrinsic sizes instead
     */
    width?: number | undefined;
    loading?: boolean | null | undefined;
    suppressSizeWarning?: boolean | null | undefined;
}
export default class Icon extends PureComponent<IconProps> {
    static defaultProps: {
        className: string;
        color: Color;
        glyph: string;
    };
    static Color: typeof Color;
    /**
     * @deprecated Use icons with appropriate intrinsic sizes instead
     */
    static Size: typeof Size;
    warnSize(): void;
    getStyle(): {
        width: number | undefined;
        height: number | undefined;
    } | undefined;
    render(): import("react/jsx-runtime").JSX.Element | null;
}
export type IconAttrs = React.JSX.LibraryManagedAttributes<typeof Icon, IconProps>;
export { Color, Size };
