import { _ as _defineProperty, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx } from 'react/jsx-runtime';
import { createContext, Component } from 'react';
import { interpolateLinear } from '../global/linear-function.js';

const TITLE_RESIZE_END = 20;
const TITLE_RESIZE_THRESHOLD = 36;
const PhaseContext = /*#__PURE__*/createContext(null);
const ScrollHandlerContext = /*#__PURE__*/createContext(null);
function adaptiveIslandHOC(ComposedComponent) {
  return class AdaptiveIsland extends Component {
    constructor() {
      super(...arguments);
      _defineProperty(this, "state", {
        phase: null
      });
      _defineProperty(this, "onContentScroll", _ref => {
        var _this$state$phase;
        let {
          scrollTop,
          scrollHeight,
          clientHeight
        } = _ref;
        if (scrollHeight - clientHeight >= interpolateLinear(TITLE_RESIZE_THRESHOLD, TITLE_RESIZE_END, (_this$state$phase = this.state.phase) !== null && _this$state$phase !== void 0 ? _this$state$phase : 0)) {
          const phase = Math.min(1, scrollTop / TITLE_RESIZE_END);
          this.setState({
            phase
          });
        }
      });
    }
    render() {
      return jsx(PhaseContext.Provider, {
        value: this.state.phase,
        children: jsx(ScrollHandlerContext.Provider, {
          value: this.onContentScroll,
          children: jsx(ComposedComponent, _objectSpread2({}, this.props))
        })
      });
    }
  };
}

export { PhaseContext, ScrollHandlerContext, adaptiveIslandHOC as default };
