import { a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import { jsx } from 'react/jsx-runtime';
import { Component } from 'react';
import classNames from 'classnames';
import joinDataTestAttributes from '../global/data-tests.js';
import adaptiveIslandHOC from './adaptive-island-hoc.js';
import { s as styles } from '../_helpers/island.js';
export { default as Header } from './header.js';
export { default as Content } from './content.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import '../global/linear-function.js';
import 'element-resize-detector';
import '../global/schedule-raf.js';

const _excluded = ["children", "className", "narrow", "withoutPaddings", "data-test"];
/**
 * @name Island
 */
class Island extends Component {
  render() {
    const _this$props = this.props,
      {
        children,
        className,
        narrow,
        withoutPaddings,
        'data-test': dataTest
      } = _this$props,
      restProps = _objectWithoutProperties(_this$props, _excluded);
    const classes = classNames(styles.island, className, {
      [styles.narrowIsland]: narrow,
      [styles.withoutPaddings]: withoutPaddings
    });
    return jsx("div", _objectSpread2(_objectSpread2({}, restProps), {}, {
      className: classes,
      "data-test": joinDataTestAttributes('ring-island', dataTest),
      children: children
    }));
  }
}
const AdaptiveIsland = adaptiveIslandHOC(Island);

export { AdaptiveIsland, Island as default };
