import { _ as _defineProperty, a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx } from 'react/jsx-runtime';
import { PureComponent } from 'react';

const _excluded = ["onConditionalClick", "onPlainLeftClick", "activeClassName", "href", "children"];
const LEFT_BUTTON = 0;
// Cmd/Ctrl/Shift/Alt + Click should trigger default browser behaviour. Same applies to non-left clicks
const isPlainLeftClick = e => e.button === LEFT_BUTTON && !e.altKey && !e.ctrlKey && !e.metaKey && !e.shiftKey;
class ClickableLink extends PureComponent {
  constructor() {
    super(...arguments);
    _defineProperty(this, "onClick", e => {
      const {
        onClick,
        onConditionalClick,
        onPlainLeftClick
      } = this.props;
      const isPlainLeft = isPlainLeftClick(e);
      if (onClick) {
        onClick(e);
      }
      if (onConditionalClick) {
        onConditionalClick(isPlainLeft, e);
      }
      if (onPlainLeftClick && isPlainLeft) {
        e.preventDefault();
        onPlainLeftClick(e);
      }
    });
  }
  render() {
    const _this$props = this.props,
      {
        onConditionalClick,
        onPlainLeftClick,
        activeClassName,
        href,
        children
      } = _this$props,
      restProps = _objectWithoutProperties(_this$props, _excluded);
    return jsx("a", _objectSpread2(_objectSpread2({
      href: href
    }, restProps), {}, {
      onClick: this.onClick,
      children: children
    }));
  }
}

export { ClickableLink as default };
