import { ReactNode, ComponentType, ComponentClass } from 'react';
import { ClickableLinkProps } from './clickableLink';
/**
 * @name Link
 */
export interface LinkBaseProps {
    active?: boolean | null | undefined;
    inherit?: boolean | null | undefined;
    pseudo?: boolean | null | undefined;
    hover?: boolean | null | undefined;
    'data-test'?: string | null | undefined;
    children: ReactNode;
}
export type LinkProps<P extends ClickableLinkProps = ClickableLinkProps> = Omit<P, keyof LinkBaseProps> & LinkBaseProps;
export declare function linkHOC<P extends ClickableLinkProps>(ComposedComponent: ComponentType<P> | string): ComponentClass<LinkProps<P>>;
declare const _default: ComponentClass<LinkProps<ClickableLinkProps>, any>;
export default _default;
