import { a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import { jsx } from 'react/jsx-runtime';
import { PureComponent } from 'react';
import classNames from 'classnames';
import joinDataTestAttributes from '../global/data-tests.js';
import ClickableLink from './clickableLink.js';
import { l as linkStyles } from '../_helpers/link.js';
import 'core-js/modules/web.dom-collections.iterator.js';

const _excluded = ["active", "inherit", "pseudo", "hover", "className", "data-test", "href", "children", "onPlainLeftClick", "onClick"];
function linkHOC(ComposedComponent) {
  const isCustom = typeof ComposedComponent !== 'string' && ComposedComponent !== ClickableLink;
  return class Link extends PureComponent {
    render() {
      const _this$props = this.props,
        {
          active,
          inherit,
          pseudo,
          hover,
          className,
          'data-test': dataTest,
          href,
          children,
          onPlainLeftClick,
          onClick
        } = _this$props,
        restProps = _objectWithoutProperties(_this$props, _excluded);
      const useButton = pseudo || !isCustom && href == null;
      const classes = classNames(linkStyles.link, className, {
        [linkStyles.active]: active,
        [linkStyles.inherit]: inherit,
        [linkStyles.hover]: hover,
        [linkStyles.pseudo]: useButton
      });
      let props = restProps;
      if (isCustom && !props.activeClassName) {
        props = _objectSpread2(_objectSpread2({}, props), {}, {
          activeClassName: linkStyles.active
        });
      }
      if (useButton) {
        return jsx("button", _objectSpread2(_objectSpread2({
          type: "button"
        }, props), {}, {
          className: classes,
          onClick: onClick || onPlainLeftClick,
          "data-test": joinDataTestAttributes('ring-link', dataTest),
          children: children
        }));
      }
      return jsx(ComposedComponent, _objectSpread2(_objectSpread2(_objectSpread2({}, props), {}, {
        href: href,
        className: classes,
        onClick: onClick
      }, typeof ComposedComponent !== 'string' ? {
        onPlainLeftClick
      } : {}), {}, {
        "data-test": joinDataTestAttributes('ring-link', dataTest),
        children: children
      }));
    }
  };
}
var Link = linkHOC(ClickableLink);

export { Link as default, linkHOC };
