import classNames from 'classnames';
import { Type } from './consts.js';
import { s as styles } from '../_helpers/list.js';

var globalStyles = {"breakpoint-small":"640px","breakpoint-middle":"960px","breakpoint-large":"1200px","extra-small-screen-media":"(max-width: 639px)","small-screen-media":"(min-width: 640px) and (max-width: 959px)","middle-screen-media":"(min-width: 960px) and (max-width: 1199px)","large-screen-media":"(min-width: 1200px)","clearfix":"clearfix_rui_8bff","font":"font_rui_8bff","font-lower":"font-lower_rui_8bff font_rui_8bff","font-smaller":"font-smaller_rui_8bff font-lower_rui_8bff font_rui_8bff","font-smaller-lower":"font-smaller-lower_rui_8bff font-smaller_rui_8bff font-lower_rui_8bff font_rui_8bff","font-larger-lower":"font-larger-lower_rui_8bff font-lower_rui_8bff font_rui_8bff","font-larger":"font-larger_rui_8bff font-larger-lower_rui_8bff font-lower_rui_8bff font_rui_8bff","thin-font":"thin-font_rui_8bff","monospace-font":"monospace-font_rui_8bff","ellipsis":"ellipsis_rui_8bff","resetButton":"resetButton_rui_8bff"};

function getListClasses(_ref) {
  let {
    className,
    disabled,
    hover,
    compact,
    scrolling,
    rgItemType
  } = _ref;
  return classNames(styles.item, globalStyles.resetButton, className, {
    [styles.action]: !disabled,
    [styles.actionLink]: !disabled && rgItemType === Type.LINK,
    [styles.hover]: hover && !disabled,
    [styles.compact]: compact,
    [styles.scrolling]: scrolling,
    [styles.disabled]: disabled
  });
}

export { getListClasses };
