import 'core-js/modules/es.symbol.description.js';
import { jsx } from 'react/jsx-runtime';
import { PureComponent } from 'react';
import classNames from 'classnames';
import { s as styles } from '../_helpers/list.js';

class ListSeparator extends PureComponent {
  render() {
    const {
      description,
      isFirst,
      className
    } = this.props;
    const classes = classNames(styles.separator, className, {
      [styles.separator_first]: isFirst
    });
    return jsx("span", {
      "data-test": "ring-list-separator",
      className: classes,
      children: description
    });
  }
}

export { ListSeparator as default };
