import 'core-js/modules/es.symbol.description.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import { PureComponent } from 'react';
import classNames from 'classnames';
import { s as styles } from '../_helpers/list.js';

class ListTitle extends PureComponent {
  render() {
    const {
      className,
      description,
      label,
      isFirst
    } = this.props;
    const classes = classNames(styles.title, className, {
      [styles.title_first]: isFirst
    });
    return jsxs("span", {
      className: classes,
      "data-test": "ring-list-title",
      children: [jsx("span", {
        className: classNames(styles.label, styles.text),
        "data-test": "ring-list-title-label",
        children: label
      }), jsx("div", {
        className: styles.description,
        "data-test": "ring-list-title-description",
        children: description
      })]
    });
  }
}

export { ListTitle as default };
