import { a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import { PureComponent } from 'react';
import classNames from 'classnames';
import joinDataTestAttributes from '../global/data-tests.js';
import 'core-js/modules/web.dom-collections.iterator.js';

var styles = {"loader":"loader_rui_e6f2","spin":"spin_rui_e6f2","pulse":"pulse_rui_e6f2","children":"children_rui_e6f2"};

const _excluded = ["className", "data-test", "children"];
/**
 * @name Loader Inline
 */
class LoaderInline extends PureComponent {
  render() {
    const _this$props = this.props,
      {
        className,
        'data-test': dataTest,
        children
      } = _this$props,
      restProps = _objectWithoutProperties(_this$props, _excluded);
    const classes = classNames(styles.loader, className);
    const loader = jsx("div", _objectSpread2(_objectSpread2({}, restProps), {}, {
      "data-test": joinDataTestAttributes('ring-loader-inline', dataTest),
      className: classes
    }));
    return children ? jsxs(Fragment, {
      children: [loader, jsx("span", {
        className: styles.children,
        children: children
      })]
    }) : loader;
  }
}

export { LoaderInline as default };
