import { a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import { jsx } from 'react/jsx-runtime';
import { PureComponent } from 'react';
import classNames from 'classnames';
import Loader from '../loader/loader.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import '../global/data-tests.js';
import '../loader/loader__core.js';
import 'core-js/modules/es.object.assign.js';
import 'core-js/modules/es.regexp.exec.js';
import '../global/dom.js';
import 'core-js/modules/es.string.split.js';

var styles = {"loaderScreen":"loaderScreen_rui_c963","loader":"loader_rui_c963","loaderWithoutSpacing":"loaderWithoutSpacing_rui_c963"};

const _excluded = ["message", "className", "containerClassName"];
/**
 * @name Loader Screen
 */
class LoaderScreen extends PureComponent {
  render() {
    const _this$props = this.props,
      {
        message,
        className,
        containerClassName
      } = _this$props,
      restProps = _objectWithoutProperties(_this$props, _excluded);
    const containerClasses = classNames(containerClassName, styles.loaderScreen);
    const loaderClasses = classNames(className, styles.loader, {
      [styles.loaderWithoutSpacing]: !message
    });
    return jsx("div", {
      className: containerClasses,
      children: jsx(Loader, _objectSpread2(_objectSpread2({}, restProps), {}, {
        message: message,
        className: loaderClasses
      }))
    });
  }
}

export { LoaderScreen as default };
