import { HTMLAttributes, PureComponent } from 'react';
import LoaderCore, { LoaderCoreProps } from './loader__core';
export interface LoaderProps extends Partial<LoaderCoreProps>, HTMLAttributes<HTMLElement> {
    'data-test'?: string | null | undefined;
}
/**
 * @name Loader
 */
/**
 * Displays a large animated loader with an optional caption. Typical use cases: page loading animation, major action animation.
 */
export default class Loader extends PureComponent<LoaderProps> {
    componentDidUpdate(prevProps: LoaderProps): void;
    componentWillUnmount(): void;
    loader?: LoaderCore;
    initLoader: (el: Node | null) => void;
    render(): import("react/jsx-runtime").JSX.Element;
}
