import { _ as _defineProperty, a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx } from 'react/jsx-runtime';
import { PureComponent } from 'react';
import joinDataTestAttributes from '../global/data-tests.js';
import LoaderCore from './loader__core.js';
import 'core-js/modules/es.object.assign.js';
import 'core-js/modules/es.regexp.exec.js';
import '../global/dom.js';
import 'core-js/modules/es.string.split.js';

const _excluded = ["message", "size", "colors", "data-test", "stop", "deterministic"];
/**
 * @name Loader
 */
/**
 * Displays a large animated loader with an optional caption. Typical use cases: page loading animation, major action animation.
 */
class Loader extends PureComponent {
  constructor() {
    super(...arguments);
    _defineProperty(this, "loader", void 0);
    _defineProperty(this, "initLoader", el => {
      if (el) {
        this.loader = new LoaderCore(el, this.props);
      }
    });
  }
  componentDidUpdate(prevProps) {
    if (this.loader) {
      if (!prevProps.stop && this.props.stop) {
        this.loader.stopAnimation();
      } else if (prevProps.stop && !this.props.stop) {
        this.loader.startAnimation();
      }
    }
  }
  componentWillUnmount() {
    var _this$loader;
    (_this$loader = this.loader) === null || _this$loader === void 0 || _this$loader.destroy();
  }
  render() {
    const _this$props = this.props,
      {
        message,
        size,
        colors,
        'data-test': dataTest,
        stop,
        deterministic
      } = _this$props,
      restProps = _objectWithoutProperties(_this$props, _excluded);
    return jsx("div", _objectSpread2(_objectSpread2({
      "data-test": joinDataTestAttributes('ring-loader', dataTest)
    }, restProps), {}, {
      ref: this.initLoader
    }));
  }
}

export { Loader as default };
