import { Component, ReactNode } from 'react';
export interface LoginDialogProps {
    onCancel: () => void;
    show: boolean;
    url: string;
    renderFallbackLink: (loggingIn: boolean) => ReactNode;
    showFallbackTimeout: number;
    className?: string | undefined;
    loader?: boolean | null | undefined;
    loadingMessage?: string | null | undefined;
}
/**
 * @name Login Dialog
 */
export default class LoginDialog extends Component<LoginDialogProps> {
    static defaultProps: {
        show: boolean;
        url: string;
        renderFallbackLink: () => null;
        showFallbackTimeout: number;
    };
    state: {
        loading: boolean;
        loggingIn: boolean;
        showFallbackLink: boolean;
        height: number;
        width: number;
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    showFallbackTimout?: number;
    startFallbackCountdown(): void;
    onMessage: (event: MessageEvent) => void;
    render(): import("react/jsx-runtime").JSX.Element;
}
export type LoginDialogAttrs = React.JSX.LibraryManagedAttributes<typeof LoginDialog, LoginDialogProps>;
