import { b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import { jsx } from 'react/jsx-runtime';
import { createRoot } from 'react-dom/client';
import { ControlsHeightContext, getGlobalControlsHeight } from '../global/controls-height.js';
import LoginDialog from './login-dialog.js';
import 'react';
import 'core-js/modules/web.dom-collections.iterator.js';
import '../dialog/dialog.js';
import 'react-dom';
import 'classnames';
import '@jetbrains/icons/close';
import '../island/island.js';
import '../global/data-tests.js';
import '../island/adaptive-island-hoc.js';
import '../global/linear-function.js';
import '../_helpers/island.js';
import '../island/header.js';
import '../island/content.js';
import 'element-resize-detector';
import '../global/schedule-raf.js';
import '../global/get-uid.js';
import 'core-js/modules/es.regexp.to-string.js';
import '../shortcuts/shortcuts.js';
import '../shortcuts/core.js';
import 'core-js/modules/es.object.assign.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.includes.js';
import 'core-js/modules/es.string.match.js';
import 'combokeys';
import '../global/sniffer.js';
import 'sniffr';
import '../tab-trap/tab-trap.js';
import '../global/dom.js';
import 'core-js/modules/es.string.split.js';
import '../button/button.js';
import '@jetbrains/icons/chevron-down';
import '@jetbrains/icons/chevron-12px-down';
import 'util-deprecate';
import '../icon/icon.js';
import '../icon/icon__constants.js';
import '../_helpers/icon__svg.js';
import 'core-js/modules/es.string.replace.js';
import 'core-js/modules/es.string.starts-with.js';
import '../global/memoize.js';
import 'core-js/modules/es.weak-map.js';
import '../link/clickableLink.js';
import '../_helpers/button__classes.js';
import '../popup/popup.target.js';
import '../popup/popup.js';
import '../popup/position.js';
import 'core-js/modules/es.array.sort.js';
import '../popup/popup.consts.js';
import '../_helpers/dialog__body-scroll-preventer.js';
import 'scrollbar-width';
import '../loader-screen/loader-screen.js';
import '../loader/loader.js';
import '../loader/loader__core.js';
import '../auth/background-flow.js';
import 'core-js/modules/es.promise.js';
import '../auth/response-parser.js';
import 'es6-error';
import '../global/url.js';

const containerElement = document.createElement('div');
const reactRoot = createRoot(containerElement);
/**
 * Renders LoginDialog into virtual node to skip maintaining container
 */
function renderLoginDialog(props) {
  reactRoot.render(jsx(ControlsHeightContext.Provider, {
    value: getGlobalControlsHeight(),
    children: jsx(LoginDialog, _objectSpread2({}, props))
  }));
}
function noop() {}
function showAuthDialog() {
  let props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
    onCancel: noop
  };
  renderLoginDialog(_objectSpread2(_objectSpread2({}, props), {}, {
    show: true
  }));
  return () => {
    renderLoginDialog(_objectSpread2(_objectSpread2({}, props), {}, {
      show: false
    }));
  };
}

export { showAuthDialog as default };
