import { jsx } from 'react/jsx-runtime';
import { PureComponent } from 'react';
import classNames from 'classnames';
import { s as styles$1 } from '../_helpers/heading.js';
import { l as linkStyles } from '../_helpers/link.js';

var styles = {"inline":"inline_rui_e3b3","markdown":"markdown_rui_e3b3 font_rui_8bff"};

/**
 * @name Markdown
 */
class Markdown extends PureComponent {
  render() {
    const {
      className,
      children,
      inline
    } = this.props;
    const classes = classNames(className, styles$1.contentWithHeadings, linkStyles.withLinks, {
      [styles.markdown]: !inline,
      [styles.inline]: inline
    });
    return jsx("div", {
      "data-test": "ring-markdown",
      className: classes,
      children: children
    });
  }
}

export { Markdown as default };
