import { b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/es.parse-int.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.match.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import sniffr from '../global/sniffer.js';
import 'sniffr';

const MAJOR_VERSION_INDEX = 0;
/**
 * SUPPORTED_BROWSERS are defined by Babel plugin, see babel config
 */
if (!["and_chr 136", "chrome 135", "chrome 134", "chrome 131", "edge 135", "firefox 137", "ios_saf 18.4", "ios_saf 18.3", "safari 18.3", "samsung 27"]) {
  // eslint-disable-next-line no-console
  console.warn('Ring UI: no SUPPORTED_BROWSERS passed. Please check babel config.');
}
const SUPPORTED = ["and_chr 136", "chrome 135", "chrome 134", "chrome 131", "edge 135", "firefox 137", "ios_saf 18.4", "ios_saf 18.3", "safari 18.3", "samsung 27"] || [];
const WHITE_LISTED_BROWSERS = ['chrome', 'firefox', 'safari', 'edge'];
const WHITE_LIST = SUPPORTED.reduce((acc, item) => {
  var _item$match;
  const [, browserName, version] = (_item$match = item.match(/(\S+)\s(\S+)/)) !== null && _item$match !== void 0 ? _item$match : [];
  if (!WHITE_LISTED_BROWSERS.includes(browserName)) {
    return acc;
  }
  return _objectSpread2(_objectSpread2({}, acc), {}, {
    [browserName]: parseInt(version, 10)
  });
}, {});
function isBrowserInWhiteList() {
  return sniffr.browser.version[MAJOR_VERSION_INDEX] >= WHITE_LIST[sniffr.browser.name];
}

export { WHITE_LIST, isBrowserInWhiteList };
