import { _ as _defineProperty, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx, jsxs } from 'react/jsx-runtime';
import { PureComponent } from 'react';
import classNames from 'classnames';
import chevronLeftIcon from '@jetbrains/icons/chevron-left';
import chevronRightIcon from '@jetbrains/icons/chevron-right';
import { Button } from '../button/button.js';
import ButtonGroup from '../button-group/button-group.js';
import ButtonToolbar from '../button-toolbar/button-toolbar.js';
import Select from '../select/select.js';
import memoize from '../global/memoize.js';
import Link from '../link/link.js';
import Icon from '../icon/icon.js';
import { I18nContext } from '../i18n/i18n-context.js';
import '@jetbrains/icons/chevron-down';
import '@jetbrains/icons/chevron-12px-down';
import 'util-deprecate';
import '../link/clickableLink.js';
import '../global/controls-height.js';
import '../_helpers/button__classes.js';
import '../icon/icon__constants.js';
import '../_helpers/icon__svg.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.replace.js';
import 'core-js/modules/es.string.starts-with.js';
import 'core-js/modules/es.weak-map.js';
import 'core-js/modules/es.promise.js';
import 'core-js/modules/es.string.split.js';
import '../global/data-tests.js';
import '../control-label/control-label.js';
import '../control-help/control-help.js';
import '../_helpers/caption.js';
import 'core-js/modules/es.object.assign.js';
import 'core-js/modules/es.string.trim.js';
import '@jetbrains/icons/close-12px';
import 'dequal';
import '../dropdown/dropdown.js';
import '../global/typescript-utils.js';
import '../_helpers/anchor.js';
import '../avatar/avatar.js';
import 'core-js/modules/es.string.includes.js';
import '../global/url.js';
import 'core-js/modules/es.string.match.js';
import '../global/dom.js';
import '../_helpers/avatar-info.js';
import '../avatar/avatar-size.js';
import '../avatar/fallback-avatar.js';
import '../global/get-uid.js';
import 'core-js/modules/es.regexp.to-string.js';
import '../popup/popup.js';
import 'react-dom';
import '../global/schedule-raf.js';
import '../shortcuts/shortcuts.js';
import '../shortcuts/core.js';
import 'combokeys';
import '../global/sniffer.js';
import 'sniffr';
import '../tab-trap/tab-trap.js';
import '../popup/position.js';
import 'core-js/modules/es.array.sort.js';
import '../popup/popup.consts.js';
import '../popup/popup.target.js';
import '../list/list.js';
import 'core-js/modules/es.symbol.description.js';
import 'react-virtualized/dist/es/List';
import 'react-virtualized/dist/es/AutoSizer';
import 'react-virtualized/dist/es/WindowScroller';
import 'react-virtualized/dist/es/CellMeasurer';
import 'memoize-one';
import '../global/create-stateful-context.js';
import '../list/list__item.js';
import '../checkbox/checkbox.js';
import '@jetbrains/icons/checkmark-12px';
import '@jetbrains/icons/remove-12px';
import '../global/composeRefs.js';
import '../_helpers/list.js';
import '../list/consts.js';
import '../list/list__classes.js';
import '../_helpers/link.js';
import '../list/list__custom.js';
import '../global/get-event-key.js';
import '../list/list__title.js';
import '../list/list__separator.js';
import '../list/list__hint.js';
import '../_helpers/input.js';
import '../global/rerender-hoc.js';
import '../global/fuzzy-highlight.js';
import '../select/select__popup.js';
import '@jetbrains/icons/search';
import '../loader-inline/loader-inline.js';
import '../shortcuts/shortcuts-hoc.js';
import '../tags-list/tags-list.js';
import '../tag/tag.js';
import '../caret/caret.js';
import '../text/text.js';
import '../_helpers/select__filter.js';
import '../i18n/i18n.js';

var style = {"pager":"pager_rui_2db7","links":"links_rui_2db7","link":"link_rui_2db7","linkDisabled":"linkDisabled_rui_2db7","actions":"actions_rui_2db7","pageSize":"pageSize_rui_2db7"};

class Pager extends PureComponent {
  constructor() {
    super(...arguments);
    _defineProperty(this, "handlePageSizeChange", item => {
      if (item != null) {
        this.props.onPageSizeChange(item.key);
      }
    });
    _defineProperty(this, "handlePrevClick", () => {
      const {
        currentPage
      } = this.props;
      if (currentPage !== 1) {
        var _this$props$onPageCha, _this$props;
        const prevPage = currentPage - 1;
        (_this$props$onPageCha = (_this$props = this.props).onPageChange) === null || _this$props$onPageCha === void 0 || _this$props$onPageCha.call(_this$props, prevPage);
      }
    });
    _defineProperty(this, "handleNextClick", () => {
      const {
        currentPage,
        onLoadPage
      } = this.props;
      const nextPage = currentPage + 1;
      const total = this.getTotalPages();
      if (currentPage !== total) {
        var _this$props$onPageCha2, _this$props2;
        (_this$props$onPageCha2 = (_this$props2 = this.props).onPageChange) === null || _this$props$onPageCha2 === void 0 || _this$props$onPageCha2.call(_this$props2, nextPage);
      } else if (this.props.openTotal) {
        onLoadPage(nextPage);
      }
    });
    _defineProperty(this, "handlePageChange", memoize(i => event => {
      var _this$props$onPageCha3, _this$props3;
      (_this$props$onPageCha3 = (_this$props3 = this.props).onPageChange) === null || _this$props$onPageCha3 === void 0 || _this$props$onPageCha3.call(_this$props3, i, event);
    }));
    _defineProperty(this, "handleLoadMore", memoize(i => () => {
      this.props.onLoadPage(i);
    }));
  }
  getSelectOptions() {
    const {
      pageSize,
      pageSizes
    } = this.props;
    const {
      translate
    } = this.context;
    const data = pageSizes.map(size => {
      var _this$props$translati, _this$props$translati2;
      return {
        key: size,
        label: "".concat(size, " ").concat((_this$props$translati = (_this$props$translati2 = this.props.translations) === null || _this$props$translati2 === void 0 ? void 0 : _this$props$translati2.perPage) !== null && _this$props$translati !== void 0 ? _this$props$translati : translate('perPage'))
      };
    });
    const selected = data.find(it => it.key === pageSize);
    return {
      selected,
      data
    };
  }
  getTotalPages() {
    const {
      total,
      pageSize
    } = this.props;
    return Math.ceil(total / pageSize);
  }
  getButton(page, content, key, active) {
    return jsx(Button, _objectSpread2(_objectSpread2({
      href: this.generateHref(page),
      active: active,
      disabled: this.props.loader && !active && !this.props.loaderNavigation,
      loader: this.props.loader && active
    }, this.getClickProps(this.handlePageChange(page))), {}, {
      children: content
    }), key);
  }
  getClickProps(onClick) {
    const {
      hrefFunc,
      onPageChange
    } = this.props;
    if (!onPageChange) {
      return {};
    } else if (hrefFunc) {
      return {
        onPlainLeftClick: onClick
      };
    } else {
      return {
        onClick
      };
    }
  }
  getPageSizeSelector() {
    const selectOptions = this.getSelectOptions();
    return !this.props.disablePageSizeSelector && jsx("div", {
      "data-test": "ring-pager-page-size-selector",
      className: style.pageSize,
      children: jsx(Select, {
        data: selectOptions.data,
        selected: selectOptions.selected,
        onSelect: this.handlePageSizeChange,
        type: Select.Type.INLINE,
        disabled: this.props.loader
      })
    });
  }
  getPagerLinks() {
    var _this$props$translati3, _this$props$translati4, _this$props$translati5, _this$props$translati6;
    const {
      translate
    } = this.context;
    const prevLinkAvailable = this.props.currentPage !== 1;
    const nextLinkAvailable = this.props.openTotal || this.props.currentPage !== this.getTotalPages();
    const nextIcon = jsx(Icon, {
      glyph: chevronRightIcon
    }, "icon");
    const prevIcon = jsx(Icon, {
      glyph: chevronLeftIcon
    }, "icon");
    const prevText = (_this$props$translati3 = (_this$props$translati4 = this.props.translations) === null || _this$props$translati4 === void 0 ? void 0 : _this$props$translati4.previousPage) !== null && _this$props$translati3 !== void 0 ? _this$props$translati3 : translate('previousPage');
    const nextText = (_this$props$translati5 = (_this$props$translati6 = this.props.translations) === null || _this$props$translati6 === void 0 ? void 0 : _this$props$translati6.nextPage) !== null && _this$props$translati5 !== void 0 ? _this$props$translati5 : translate('nextPage');
    const nextLinkContent = [jsx("span", {
      children: nextText
    }, "text"), nextIcon];
    const prevLinkContent = [prevIcon, jsx("span", {
      children: prevText
    }, "text")];
    const prevLinkHref = this.generateHref(this.props.currentPage - 1);
    const nextLinkHref = this.generateHref(this.props.currentPage + 1);
    const disabledLinkClasses = classNames({
      [style.link]: true,
      [style.linkDisabled]: true
    });
    return jsxs("div", {
      className: style.links,
      children: [prevLinkAvailable && (!this.props.loader || this.props.loaderNavigation) ? jsx(Link, _objectSpread2(_objectSpread2({
        href: prevLinkHref,
        className: style.link
      }, this.getClickProps(this.handlePrevClick)), {}, {
        children: prevLinkContent
      })) : jsxs("span", {
        className: disabledLinkClasses,
        children: [prevIcon, jsx("span", {
          children: prevText
        }, "text")]
      }), nextLinkAvailable && (!this.props.loader || this.props.loaderNavigation) ? jsx(Link, _objectSpread2(_objectSpread2({
        href: nextLinkHref,
        className: style.link
      }, this.getClickProps(this.handleNextClick)), {}, {
        children: nextLinkContent
      })) : jsxs("span", {
        className: disabledLinkClasses,
        children: [jsx("span", {
          children: nextText
        }, "text"), nextIcon]
      })]
    });
  }
  generateHref(page) {
    if (this.props.hrefFunc === undefined) {
      return undefined;
    }
    const pageSize = this.props.disablePageSizeSelector ? undefined : this.props.pageSize;
    return this.props.hrefFunc(page, pageSize);
  }
  getPagerContent() {
    var _this$props$translati7, _this$props$translati8, _this$props$translati9, _this$props$translati0;
    const {
      currentPage,
      visiblePagesLimit
    } = this.props;
    const totalPages = this.getTotalPages();
    const {
      translate
    } = this.context;
    if (totalPages < this.props.currentPage) {
      var _this$props$onPageCha4, _this$props4;
      (_this$props$onPageCha4 = (_this$props4 = this.props).onPageChange) === null || _this$props$onPageCha4 === void 0 || _this$props$onPageCha4.call(_this$props4, totalPages);
    }
    let start = 1;
    let end = totalPages;
    if (totalPages >= visiblePagesLimit) {
      const leftHalfFrameSize = Math.ceil(visiblePagesLimit / 2) - 1;
      const rightHalfFrameSize = visiblePagesLimit - leftHalfFrameSize - 1;
      start = currentPage - leftHalfFrameSize;
      end = currentPage + rightHalfFrameSize;
      if (start < 1) {
        const tail = 1 - start;
        start += tail;
        end += tail;
      }
      if (end > totalPages) {
        const tail = end - totalPages;
        start -= tail;
        end -= tail;
      }
      if (start < 1) {
        start += 1 - start;
      }
    }
    const buttons = [];
    for (let i = start; i <= end; i++) {
      buttons.push(this.getButton(i, i, i, i === currentPage));
    }
    const lastPageButtonAvailable = !this.props.disableLastPageButton && end < totalPages && !this.props.openTotal || this.props.openTotal && this.props.canLoadLastPageWithOpenTotal;
    return jsxs("div", {
      children: [this.getPagerLinks(), jsxs("div", {
        className: style.actions,
        children: [jsxs(ButtonToolbar, {
          children: [start > 1 && this.getButton(1, (_this$props$translati7 = (_this$props$translati8 = this.props.translations) === null || _this$props$translati8 === void 0 ? void 0 : _this$props$translati8.firstPage) !== null && _this$props$translati7 !== void 0 ? _this$props$translati7 : translate('firstPage')), jsxs(ButtonGroup, {
            children: [start > 1 && this.getButton(start - 1, '...'), buttons, end < totalPages && this.getButton(end + 1, '...'), end === totalPages && this.props.openTotal && jsx(Button, _objectSpread2(_objectSpread2({
              href: this.generateHref(end + 1),
              disabled: this.props.loader
            }, this.getClickProps(this.handleLoadMore(end + 1))), {}, {
              children: '...'
            }))]
          }), lastPageButtonAvailable && this.getButton(this.props.openTotal ? -1 : totalPages, (_this$props$translati9 = (_this$props$translati0 = this.props.translations) === null || _this$props$translati0 === void 0 ? void 0 : _this$props$translati0.lastPage) !== null && _this$props$translati9 !== void 0 ? _this$props$translati9 : translate('lastPage'))]
        }), this.getPageSizeSelector()]
      })]
    });
  }
  render() {
    const classes = classNames(style.pager, this.props.className);
    return jsx("div", {
      "data-test": "ring-pager",
      className: classes,
      children: this.getTotalPages() > 1 || this.props.openTotal ? this.getPagerContent() : this.getPageSizeSelector()
    });
  }
}
_defineProperty(Pager, "defaultProps", {
  currentPage: 1,
  pageSize: 50,
  // eslint-disable-next-line @typescript-eslint/no-magic-numbers
  pageSizes: [20, 50, 100],
  visiblePagesLimit: 7,
  disablePageSizeSelector: false,
  openTotal: false,
  canLoadLastPageWithOpenTotal: false,
  loader: false,
  loaderNavigation: false,
  onPageSizeChange: () => {},
  onLoadPage: () => {}
});
_defineProperty(Pager, "contextType", I18nContext);

export { Pager as default };
