import { _ as _defineProperty, b as _objectSpread2, a as _objectWithoutProperties } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/es.parse-float.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx } from 'react/jsx-runtime';
import Popup from '../popup/popup.js';
import List from '../list/list.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.regexp.to-string.js';
import 'core-js/modules/es.string.replace.js';
import 'react';
import 'react-dom';
import 'classnames';
import '../global/get-uid.js';
import '../global/schedule-raf.js';
import '../global/dom.js';
import 'core-js/modules/es.object.assign.js';
import 'core-js/modules/es.string.split.js';
import '../shortcuts/shortcuts.js';
import '../shortcuts/core.js';
import 'core-js/modules/es.string.includes.js';
import 'core-js/modules/es.string.match.js';
import 'combokeys';
import '../global/sniffer.js';
import 'sniffr';
import '../global/data-tests.js';
import '../tab-trap/tab-trap.js';
import '../popup/position.js';
import 'core-js/modules/es.array.sort.js';
import '../popup/popup.consts.js';
import '../popup/popup.target.js';
import 'core-js/modules/es.symbol.description.js';
import 'core-js/modules/es.string.trim.js';
import 'react-virtualized/dist/es/List';
import 'react-virtualized/dist/es/AutoSizer';
import 'react-virtualized/dist/es/WindowScroller';
import 'react-virtualized/dist/es/CellMeasurer';
import 'util-deprecate';
import 'memoize-one';
import '../global/memoize.js';
import 'core-js/modules/es.weak-map.js';
import '../global/create-stateful-context.js';
import '../list/list__item.js';
import '../avatar/avatar.js';
import '../global/url.js';
import '../_helpers/avatar-info.js';
import '../avatar/avatar-size.js';
import '../avatar/fallback-avatar.js';
import '../checkbox/checkbox.js';
import '@jetbrains/icons/checkmark-12px';
import '@jetbrains/icons/remove-12px';
import '../icon/icon.js';
import '../icon/icon__constants.js';
import '../_helpers/icon__svg.js';
import 'core-js/modules/es.string.starts-with.js';
import '../global/composeRefs.js';
import '../control-help/control-help.js';
import '../link/link.js';
import '../link/clickableLink.js';
import '../_helpers/link.js';
import '../_helpers/list.js';
import '../list/consts.js';
import '../list/list__classes.js';
import '../list/list__custom.js';
import '../global/get-event-key.js';
import '../list/list__title.js';
import '../list/list__separator.js';
import '../list/list__hint.js';

const _excluded = ["className"];
/**
 * @name Popup Menu
 */
class PopupMenu extends Popup {
  constructor() {
    super(...arguments);
    _defineProperty(this, "onSelect", (item, event) => {
      if (this.props.closeOnSelect) {
        this._onCloseAttempt(event);
      }
      this.props.onSelect(item, event);
    });
    _defineProperty(this, "list", void 0);
    _defineProperty(this, "listRef", el => {
      this.list = el;
    });
  }
  /** @override */
  getInternalContent() {
    const _this$props = this.props,
      {
        className
      } = _this$props,
      props = _objectWithoutProperties(_this$props, _excluded);
    return jsx("div", {
      children: jsx(List, _objectSpread2(_objectSpread2({
        ref: this.listRef
      }, props), {}, {
        maxHeight: this.popup && parseFloat(this.popup.style.maxHeight),
        shortcuts: this.shouldUseShortcuts(),
        onSelect: this.onSelect
      }))
    });
  }
}
_defineProperty(PopupMenu, "isItemType", List.isItemType);
_defineProperty(PopupMenu, "ListProps", List.ListProps);
_defineProperty(PopupMenu, "defaultProps", _objectSpread2(_objectSpread2(_objectSpread2({}, List.defaultProps), Popup.defaultProps), {}, {
  renderOptimization: false,
  closeOnSelect: false,
  largeBorderRadius: true
}));
const {
  ListProps
} = List;

export { ListProps, PopupMenu as default };
