import { a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import { jsx } from 'react/jsx-runtime';
import { createContext, forwardRef } from 'react';

const _excluded = ["id", "children"];
const PopupTargetContext = /*#__PURE__*/createContext(undefined);
const PopupTarget = /*#__PURE__*/forwardRef(function PopupTarget(_ref, ref) {
  let {
      id,
      children
    } = _ref,
    restProps = _objectWithoutProperties(_ref, _excluded);
  const target = jsx("div", _objectSpread2(_objectSpread2({}, restProps), {}, {
    "data-portaltarget": id,
    ref: ref,
    children: typeof children !== 'function' && children
  }));
  return jsx(PopupTargetContext.Provider, {
    value: id,
    children: typeof children === 'function' ? children(target) : target
  });
});

export { PopupTarget, PopupTargetContext };
