import { Dimension, Directions, MaxHeight, MinWidth } from './popup.consts';
export { Dimension, Directions, MaxHeight, MinWidth };
interface Position {
    top: number;
    left: number;
}
export interface PositionStyles extends Position {
    maxHeight?: number;
    minWidth?: number;
}
export interface PositionAttrs {
    popup: HTMLElement | null | undefined;
    anchor: Element | null | undefined;
    container: Element | null;
    directions: readonly Directions[];
    autoPositioning: boolean;
    sidePadding: number;
    top: number;
    left: number;
    offset: number;
    maxHeight: number | 'screen' | null | undefined;
    minWidth: number | 'target' | null | undefined;
    autoCorrectTopOverflow: boolean;
}
export declare const positionPropKeys: readonly ["directions", "autoPositioning", "autoCorrectTopOverflow", "sidePadding", "top", "left", "offset", "maxHeight", "minWidth"];
export declare function maxHeightForDirection(direction: Directions, anchorNode: Element, containerNode?: Element | null): number | null;
export default function position(attrs: PositionAttrs): {
    styles: PositionStyles;
    direction: Directions | null;
};
