import { _ as _defineProperty, a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx } from 'react/jsx-runtime';
import { PureComponent } from 'react';
import classNames from 'classnames';

var styles = {"progressBar":"progressBar_rui_5875","globalMode":"globalMode_rui_5875","line":"line_rui_5875","progress-bar-animation":"progress-bar-animation_rui_5875","staticLineColor":"staticLineColor_rui_5875"};

const _excluded = ["className", "global", "max", "value", "label", "staticColor"];
/**
 * @name Progress Bar
 */
class ProgressBar extends PureComponent {
  constructor() {
    super(...arguments);
    _defineProperty(this, "progressbarWrapper", void 0);
    _defineProperty(this, "progressbarWrapperRef", el => {
      this.progressbarWrapper = el;
    });
    _defineProperty(this, "progressbar", void 0);
    _defineProperty(this, "progressbarRef", el => {
      this.progressbar = el;
    });
  }
  /**
   * @param {number} value The progress task value
   * @param {number} max The maximum value
   * @return {number} The progress task value in percents
   * @private
   */
  static toPercent(value, max) {
    const HUNDRED_PERCENT = 100;
    const percents = value * HUNDRED_PERCENT / max;
    return percents > HUNDRED_PERCENT ? HUNDRED_PERCENT : percents;
  }
  render() {
    const _this$props = this.props,
      {
        className,
        global,
        max,
        value,
        label,
        staticColor
      } = _this$props,
      otherProps = _objectWithoutProperties(_this$props, _excluded);
    const width = value ? "".concat(ProgressBar.toPercent(value, max), "%") : undefined;
    const classes = classNames(styles.progressBar, className, {
      [styles.globalMode]: global,
      [styles.staticLineColor]: staticColor
    });
    return jsx("div", _objectSpread2(_objectSpread2({}, otherProps), {}, {
      className: classes,
      ref: this.progressbarWrapperRef,
      children: jsx("div", {
        className: styles.line,
        ref: this.progressbarRef,
        role: "progressbar",
        "aria-label": label,
        "aria-valuenow": value,
        "aria-valuemin": 0,
        "aria-valuemax": max,
        style: {
          width
        }
      })
    }));
  }
}
_defineProperty(ProgressBar, "defaultProps", {
  max: 1.0,
  value: 0,
  label: 'Progress'
});

export { ProgressBar as default };
