import { a as _objectWithoutProperties, b as _objectSpread2, _ as _defineProperty } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx, jsxs } from 'react/jsx-runtime';
import { forwardRef, createContext, Component } from 'react';
import classNames from 'classnames';
import getUID from '../global/get-uid.js';
import ControlHelp from '../control-help/control-help.js';
import 'core-js/modules/es.regexp.to-string.js';

var styles = {"radio":"radio_rui_370b","circle":"circle_rui_370b","input":"input_rui_370b","focus":"focus_rui_370b","label":"label_rui_370b"};

const _excluded = ["className", "children", "help"],
  _excluded2 = ["value", "onChange"];
const RadioContext = /*#__PURE__*/createContext({});
class RadioItemInner extends Component {
  constructor() {
    super(...arguments);
    _defineProperty(this, "uid", getUID('ring-radio-item-'));
    _defineProperty(this, "input", void 0);
    _defineProperty(this, "inputRef", el => {
      this.input = el;
    });
    _defineProperty(this, "label", void 0);
    _defineProperty(this, "labelRef", el => {
      this.label = el;
    });
  }
  render() {
    const _this$props = this.props,
      {
        className,
        children,
        help
      } = _this$props,
      restProps = _objectWithoutProperties(_this$props, _excluded);
    const classes = classNames(styles.radio, className);
    return jsxs("label", {
      ref: this.labelRef,
      className: classes,
      htmlFor: this.uid,
      children: [jsx("input", _objectSpread2(_objectSpread2({
        id: this.uid
      }, restProps), {}, {
        ref: this.inputRef,
        className: styles.input,
        type: "radio"
      })), jsx("span", {
        className: styles.circle
      }), jsxs("span", {
        className: styles.label,
        children: [children, help && jsx(ControlHelp, {
          children: help
        })]
      })]
    });
  }
}
const RadioItem = /*#__PURE__*/forwardRef(function RadioItem(props, ref) {
  return jsx(RadioContext.Consumer, {
    children: _ref => {
      let {
          value,
          onChange
        } = _ref,
        restContext = _objectWithoutProperties(_ref, _excluded2);
      return jsx(RadioItemInner, _objectSpread2(_objectSpread2({
        ref: ref
      }, restContext), {}, {
        checked: value != null ? value === props.value : undefined,
        onChange: onChange != null ? () => onChange(props.value) : undefined
      }, props));
    }
  });
});

export { RadioContext, RadioItemInner, RadioItem as default };
