import { a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx } from 'react/jsx-runtime';
import { useState, useRef, useCallback, useEffect } from 'react';
import classNames from 'classnames';

var styles = {"scrollableSection":"scrollableSection_rui_a93d","withTopBorder":"withTopBorder_rui_a93d","withRightBorder":"withRightBorder_rui_a93d","withBottomBorder":"withBottomBorder_rui_a93d","withLeftBorder":"withLeftBorder_rui_a93d"};

const _excluded = ["className"];
function ScrollableSection(_ref) {
  let {
      className
    } = _ref,
    restProps = _objectWithoutProperties(_ref, _excluded);
  const [scrolledToTop, setScrolledToTop] = useState(false);
  const [scrolledToRight, setScrolledToRight] = useState(false);
  const [scrolledToBottom, setScrolledToBottom] = useState(false);
  const [scrolledToLeft, setScrolledToLeft] = useState(false);
  const ref = useRef(null);
  const calculateScrollPosition = useCallback(() => {
    if (ref.current != null) {
      const {
        scrollTop,
        scrollLeft,
        scrollHeight,
        scrollWidth,
        offsetHeight,
        offsetWidth
      } = ref.current;
      setScrolledToTop(scrollTop === 0);
      setScrolledToRight(offsetWidth + scrollLeft >= scrollWidth);
      setScrolledToBottom(offsetHeight + scrollTop >= scrollHeight);
      setScrolledToLeft(scrollLeft === 0);
    }
  }, []);
  useEffect(() => {
    requestAnimationFrame(calculateScrollPosition);
    window.addEventListener('resize', calculateScrollPosition);
    return () => window.removeEventListener('resize', calculateScrollPosition);
  }, [calculateScrollPosition]);
  return jsx("div", _objectSpread2(_objectSpread2({}, restProps), {}, {
    className: classNames(styles.scrollableSection, className, {
      [styles.withTopBorder]: !scrolledToTop,
      [styles.withRightBorder]: !scrolledToRight,
      [styles.withBottomBorder]: !scrolledToBottom,
      [styles.withLeftBorder]: !scrolledToLeft
    }),
    ref: ref,
    onScroll: calculateScrollPosition
  }));
}

export { ScrollableSection as default };
