import { _ as _defineProperty, a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx } from 'react/jsx-runtime';
import { Component } from 'react';
import getUID from '../global/get-uid.js';
import Shortcuts from './shortcuts.js';
import 'core-js/modules/es.regexp.to-string.js';
import './core.js';
import 'core-js/modules/es.object.assign.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.includes.js';
import 'core-js/modules/es.string.match.js';
import 'combokeys';
import '../global/sniffer.js';
import 'sniffr';

const _excluded = ["rgShortcutsOptions", "rgShortcutsMap"];
function shortcutsHOC(ComposedComponent) {
  return class WithShortcuts extends Component {
    constructor() {
      super(...arguments);
      _defineProperty(this, "_shortcutsScopeUid", getUID('rg-shortcuts-'));
    }
    render() {
      const _this$props = this.props,
        {
          rgShortcutsOptions,
          rgShortcutsMap
        } = _this$props,
        props = _objectWithoutProperties(_this$props, _excluded);
      return jsx(Shortcuts, {
        scope: this._shortcutsScopeUid,
        map: rgShortcutsMap,
        options: rgShortcutsOptions,
        disabled: rgShortcutsOptions.disabled,
        children: jsx(ComposedComponent, _objectSpread2({}, props))
      });
    }
  };
}

export { shortcutsHOC as default };
