import { _ as _defineProperty } from '../_helpers/_rollupPluginBabelHelpers.js';
import { PureComponent } from 'react';
import shortcuts from './core.js';
import 'core-js/modules/es.object.assign.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.includes.js';
import 'core-js/modules/es.string.match.js';
import 'combokeys';
import '../global/sniffer.js';
import 'sniffr';

class Shortcuts extends PureComponent {
  componentDidMount() {
    if (!this.props.disabled) {
      this.turnShorcutsOn();
    }
  }
  componentDidUpdate(prevProps) {
    const {
      disabled,
      map
    } = this.props;
    if (!prevProps.disabled && disabled) {
      this.turnShorcutsOff();
    }
    if (prevProps.disabled && !disabled) {
      this.turnShorcutsOn();
    }
    if (prevProps.map !== map) {
      shortcuts.bindMap(map, this.props);
    }
  }
  componentWillUnmount() {
    if (!this.props.disabled) {
      this.turnShorcutsOff();
    }
  }
  turnShorcutsOn() {
    const {
      map,
      scope,
      options
    } = this.props;
    shortcuts.bindMap(map, this.props);
    shortcuts.pushScope(scope, options);
  }
  turnShorcutsOff() {
    const {
      scope
    } = this.props;
    shortcuts.unbindScope(scope);
    shortcuts.spliceScope(scope);
  }
  render() {
    return this.props.children || null;
  }
}
_defineProperty(Shortcuts, "defaultProps", {
  options: {}
});

export { Shortcuts as default };
