import { _ as _defineProperty, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx } from 'react/jsx-runtime';
import { PureComponent } from 'react';

function disableHoverHOC(ComposedComponent) {
  var _DisableHover;
  return _DisableHover = class DisableHover extends PureComponent {
    constructor() {
      super(...arguments);
      _defineProperty(this, "state", {
        disabledHover: false
      });
      _defineProperty(this, "onMouseMove", () => {
        if (this.state.disabledHover) {
          this.setState({
            disabledHover: false
          });
        }
      });
      _defineProperty(this, "onKeyDown", e => {
        const metaKeys = [16, 17, 18, 19, 20, 91]; // eslint-disable-line @typescript-eslint/no-magic-numbers
        if (!this.state.disabledHover && !metaKeys.includes(e.keyCode)) {
          this.setState({
            disabledHover: true
          });
        }
      });
    }
    componentDidMount() {
      document.addEventListener('mousemove', this.onMouseMove);
      document.addEventListener('keydown', this.onKeyDown, true);
    }
    componentWillUnmount() {
      document.removeEventListener('mousemove', this.onMouseMove);
      document.removeEventListener('keydown', this.onKeyDown, true);
    }
    render() {
      return jsx(ComposedComponent, _objectSpread2(_objectSpread2({}, this.props), {}, {
        disabledHover: this.state.disabledHover
      }));
    }
  }, _defineProperty(_DisableHover, "defaultProps", ComposedComponent.defaultProps), _DisableHover;
}

export { disableHoverHOC as default };
