import { PureComponent, ReactNode, SyntheticEvent, ThHTMLAttributes } from 'react';
export interface Column<T = never> {
    id: string;
    sortable?: boolean | null | undefined;
    className?: string | null | undefined;
    headerClassName?: string | null | undefined;
    rightAlign?: boolean | null | undefined;
    getHeaderValue?: (() => ReactNode) | null | undefined;
    title?: ReactNode;
    getValue?: ((item: T, column: Column) => ReactNode) | null | undefined;
    getDataTest?: ((item: T, column: Column) => string) | null | undefined;
    colSpan?: number;
}
export interface SortParams {
    column: Column;
    order: boolean;
}
export interface HeaderCellProps extends ThHTMLAttributes<HTMLTableHeaderCellElement> {
    column: Column;
    onSort: (params: SortParams) => void;
    sortKey?: string | null | undefined;
    sortOrder?: boolean | null | undefined;
    'data-test'?: string | null | undefined;
}
export default class HeaderCell extends PureComponent<HeaderCellProps> {
    static defaultProps: {
        onSort: () => void;
    };
    sortable?: boolean;
    sorted?: boolean;
    onClick: () => void;
    onChildrenClick(e: SyntheticEvent): void;
    render(): import("react/jsx-runtime").JSX.Element;
}
