import { ChangeEventHandler, PureComponent, SyntheticEvent } from 'react';
import { Column, SortParams } from './header-cell';
export interface HeaderProps {
    columns: readonly Column[];
    selectable: boolean;
    draggable: boolean;
    checked: boolean;
    sticky: boolean;
    topStickOffset: string;
    onSort: (params: SortParams) => void;
    onCheckboxChange: ChangeEventHandler<HTMLInputElement>;
    sortKey: string;
    sortOrder: boolean;
    caption?: string | null | undefined;
    checkboxDisabled?: boolean | undefined;
}
export default class Header extends PureComponent<HeaderProps> {
    static defaultProps: {
        selectable: boolean;
        draggable: boolean;
        checked: boolean;
        sticky: boolean;
        topStickOffset: string;
        onSort: () => void;
        onCheckboxChange: () => void;
        sortKey: string;
        sortOrder: boolean;
    };
    id: string;
    onCheckboxFocus: (event: SyntheticEvent<HTMLElement>) => void;
    createCells(widths?: never[]): import("react/jsx-runtime").JSX.Element[];
    render(): import("react/jsx-runtime").JSX.Element;
}
export type HeaderAttrs = React.JSX.LibraryManagedAttributes<typeof Header, HeaderProps>;
