import { _ as _defineProperty } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/es.string.includes.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx } from 'react/jsx-runtime';
import { PureComponent, Children, cloneElement } from 'react';

class MultiTable extends PureComponent {
  constructor() {
    super(...arguments);
    _defineProperty(this, "onUpPress", () => {
      const {
        children: tables
      } = this.props;
      const tableIndex = tables.findIndex(_ref => {
        let {
          props: {
            selection
          }
        } = _ref;
        return selection.getFocused();
      });
      const currentTable = tables[tableIndex].props;
      const prevTable = tables[tableIndex - 1] ? tables[tableIndex - 1].props : null;
      let newSelection = currentTable.selection.moveUp();
      if (newSelection) {
        var _currentTable$onSelec;
        (_currentTable$onSelec = currentTable.onSelect) === null || _currentTable$onSelec === void 0 || _currentTable$onSelec.call(currentTable, newSelection);
      } else if (prevTable) {
        var _currentTable$onSelec2;
        (_currentTable$onSelec2 = currentTable.onSelect) === null || _currentTable$onSelec2 === void 0 || _currentTable$onSelec2.call(currentTable, currentTable.selection.resetFocus());
        newSelection = prevTable.selection.moveUp();
        if (newSelection) {
          var _prevTable$onSelect;
          (_prevTable$onSelect = prevTable.onSelect) === null || _prevTable$onSelect === void 0 || _prevTable$onSelect.call(prevTable, newSelection);
        }
      }
      return false;
    });
    _defineProperty(this, "onDownPress", () => {
      const {
        children: tables
      } = this.props;
      const tableIndex = tables.findIndex(_ref2 => {
        let {
          props: {
            selection
          }
        } = _ref2;
        return selection.getFocused();
      });
      const currentTable = tables[tableIndex].props;
      const nextTable = tables[tableIndex + 1] ? tables[tableIndex + 1].props : null;
      let newSelection = currentTable.selection.moveDown();
      if (newSelection) {
        var _currentTable$onSelec3;
        (_currentTable$onSelec3 = currentTable.onSelect) === null || _currentTable$onSelec3 === void 0 || _currentTable$onSelec3.call(currentTable, newSelection);
      } else if (nextTable) {
        var _currentTable$onSelec4;
        (_currentTable$onSelec4 = currentTable.onSelect) === null || _currentTable$onSelec4 === void 0 || _currentTable$onSelec4.call(currentTable, currentTable.selection.resetFocus());
        newSelection = nextTable.selection.moveDown();
        if (newSelection) {
          var _nextTable$onSelect;
          (_nextTable$onSelect = nextTable.onSelect) === null || _nextTable$onSelect === void 0 || _nextTable$onSelect.call(nextTable, newSelection);
        }
      }
      return false;
    });
    _defineProperty(this, "onEscPress", () => {
      const {
        children
      } = this.props;
      Children.forEach(children, _ref3 => {
        let {
          props: {
            selection,
            onSelect
          }
        } = _ref3;
        onSelect === null || onSelect === void 0 || onSelect(selection.reset());
      });
    });
    _defineProperty(this, "onCmdAPress", () => {
      const {
        children
      } = this.props;
      Children.forEach(children, _ref4 => {
        let {
          props: {
            selection,
            onSelect
          }
        } = _ref4;
        onSelect === null || onSelect === void 0 || onSelect(selection.selectAll());
      });
      return false;
    });
    _defineProperty(this, "shortcuts", {
      up: this.onUpPress,
      down: this.onDownPress,
      esc: this.onEscPress,
      'command+a': this.onCmdAPress,
      'ctrl+a': this.onCmdAPress
    });
  }
  componentDidUpdate(prevProps) {
    if (prevProps.children) {
      const prevSelections = prevProps.children.map(element => element.props.selection);
      const prevFocusedIndex = prevSelections.findIndex(selection => selection.getFocused());
      const prevFocused = prevSelections[prevFocusedIndex];
      const currentSelections = this.props.children.map(element => element.props.selection);
      const currentFocused = currentSelections.filter(selection => selection.getFocused());
      if (currentFocused.includes(prevFocused)) {
        var _prevProps$children$p, _prevProps$children$p2;
        (_prevProps$children$p = (_prevProps$children$p2 = prevProps.children[prevFocusedIndex].props).onSelect) === null || _prevProps$children$p === void 0 || _prevProps$children$p.call(_prevProps$children$p2, prevFocused.resetFocus());
      }
    }
  }
  render() {
    return jsx("div", {
      "data-test": "ring-multitable",
      children: Children.map(this.props.children, child => {
        const props = {
          shortcuts: this.shortcuts
        };
        return /*#__PURE__*/cloneElement(child, props);
      })
    });
  }
}

export { MultiTable as default };
