import { _ as _defineProperty, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx } from 'react/jsx-runtime';
import { PureComponent } from 'react';
import focusSensorHOC from '../global/focus-sensor-hoc.js';
import Row from './row.js';
import '../global/composeRefs.js';
import 'memoize-one';
import 'classnames';
import '@jetbrains/icons/chevron-right';
import '@jetbrains/icons/chevron-down';
import '@jetbrains/icons/drag';
import '../checkbox/checkbox.js';
import '@jetbrains/icons/checkmark-12px';
import '@jetbrains/icons/remove-12px';
import '../icon/icon.js';
import 'util-deprecate';
import '../icon/icon__constants.js';
import '../_helpers/icon__svg.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.replace.js';
import 'core-js/modules/es.string.starts-with.js';
import '../global/memoize.js';
import 'core-js/modules/es.weak-map.js';
import '../control-help/control-help.js';
import '../button/button.js';
import '@jetbrains/icons/chevron-12px-down';
import '../link/clickableLink.js';
import '../global/controls-height.js';
import '../_helpers/button__classes.js';
import '../tooltip/tooltip.js';
import '../popup/popup.js';
import 'core-js/modules/es.regexp.to-string.js';
import 'react-dom';
import '../global/get-uid.js';
import '../global/schedule-raf.js';
import '../global/dom.js';
import 'core-js/modules/es.object.assign.js';
import 'core-js/modules/es.string.split.js';
import '../shortcuts/shortcuts.js';
import '../shortcuts/core.js';
import 'core-js/modules/es.string.includes.js';
import 'core-js/modules/es.string.match.js';
import 'combokeys';
import '../global/sniffer.js';
import 'sniffr';
import '../global/data-tests.js';
import '../tab-trap/tab-trap.js';
import '../popup/position.js';
import 'core-js/modules/es.array.sort.js';
import '../popup/popup.consts.js';
import '../popup/popup.target.js';
import '../_helpers/theme.js';
import './cell.js';
import '../_helpers/table.js';

const getContainer = () => focusSensorHOC(Row);
class RowWithFocusSensorCallbacks extends PureComponent {
  constructor() {
    super(...arguments);
    // https://stackoverflow.com/a/53882322/6304152
    _defineProperty(this, "RowWithFocusSensor", getContainer());
    _defineProperty(this, "onFocus", () => {
      var _this$props$onFocus, _this$props;
      (_this$props$onFocus = (_this$props = this.props).onFocus) === null || _this$props$onFocus === void 0 || _this$props$onFocus.call(_this$props, this.props.item);
    });
    _defineProperty(this, "onSelect", (item, selected) => {
      var _this$props$onSelect, _this$props2;
      (_this$props$onSelect = (_this$props2 = this.props).onSelect) === null || _this$props$onSelect === void 0 || _this$props$onSelect.call(_this$props2, item, selected);
    });
    _defineProperty(this, "onCollapse", () => {
      var _this$props$onCollaps, _this$props3;
      (_this$props$onCollaps = (_this$props3 = this.props).onCollapse) === null || _this$props$onCollaps === void 0 || _this$props$onCollaps.call(_this$props3, this.props.item);
    });
    _defineProperty(this, "onExpand", () => {
      var _this$props$onExpand, _this$props4;
      (_this$props$onExpand = (_this$props4 = this.props).onExpand) === null || _this$props$onExpand === void 0 || _this$props$onExpand.call(_this$props4, this.props.item);
    });
  }
  render() {
    return jsx(this.RowWithFocusSensor, _objectSpread2(_objectSpread2({}, this.props), {}, {
      onFocus: this.onFocus,
      onSelect: this.onSelect,
      onCollapse: this.onCollapse,
      onExpand: this.onExpand
    }));
  }
}

export { RowWithFocusSensorCallbacks as default };
