import { _ as _defineProperty, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx } from 'react/jsx-runtime';
import { PureComponent } from 'react';
import TableContainer from './table.js';
import Selection$1 from './selection.js';
import 'classnames';
import 'react-movable';
import '../global/focus-sensor-hoc.js';
import '../global/composeRefs.js';
import 'memoize-one';
import '../global/get-uid.js';
import 'core-js/modules/es.regexp.to-string.js';
import '../shortcuts/shortcuts.js';
import '../shortcuts/core.js';
import 'core-js/modules/es.object.assign.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.includes.js';
import 'core-js/modules/es.string.match.js';
import 'combokeys';
import '../global/sniffer.js';
import 'sniffr';
import '../loader/loader.js';
import '../global/data-tests.js';
import '../loader/loader__core.js';
import '../global/dom.js';
import 'core-js/modules/es.string.split.js';
import './header.js';
import '../checkbox/checkbox.js';
import '@jetbrains/icons/checkmark-12px';
import '@jetbrains/icons/remove-12px';
import '../icon/icon.js';
import 'util-deprecate';
import '../icon/icon__constants.js';
import '../_helpers/icon__svg.js';
import 'core-js/modules/es.string.replace.js';
import 'core-js/modules/es.string.starts-with.js';
import '../global/memoize.js';
import 'core-js/modules/es.weak-map.js';
import '../control-help/control-help.js';
import '../_helpers/table.js';
import './header-cell.js';
import '@jetbrains/icons/unsorted-12px';
import '@jetbrains/icons/chevron-12px-down';
import './selection-shortcuts-hoc.js';
import './disable-hover-hoc.js';
import './row-with-focus-sensor.js';
import './row.js';
import '@jetbrains/icons/chevron-right';
import '@jetbrains/icons/chevron-down';
import '@jetbrains/icons/drag';
import '../button/button.js';
import '../link/clickableLink.js';
import '../global/controls-height.js';
import '../_helpers/button__classes.js';
import '../tooltip/tooltip.js';
import '../popup/popup.js';
import 'react-dom';
import '../global/schedule-raf.js';
import '../tab-trap/tab-trap.js';
import '../popup/position.js';
import 'core-js/modules/es.array.sort.js';
import '../popup/popup.consts.js';
import '../popup/popup.target.js';
import '../_helpers/theme.js';
import './cell.js';

class SmartTable extends PureComponent {
  constructor() {
    super(...arguments);
    _defineProperty(this, "state", {
      selection: new Selection$1({
        data: this.props.data,
        isItemSelectable: this.props.isItemSelectable
      })
    });
    _defineProperty(this, "onSelect", selection => {
      this.setState({
        selection
      });
      this.props.onSelectionChange(selection);
    });
  }
  UNSAFE_componentWillReceiveProps(nextProps) {
    const {
      data,
      isItemSelectable,
      selection
    } = nextProps;
    if (this.props.remoteSelection && this.props.selection !== selection) {
      this.setState({
        selection
      });
    } else if (this.props.data !== data || this.props.isItemSelectable !== isItemSelectable) {
      this.setState({
        selection: new Selection$1({
          data,
          isItemSelectable
        })
      });
    }
  }
  render() {
    return jsx(TableContainer, _objectSpread2(_objectSpread2({}, this.props), {}, {
      selection: this.state.selection,
      onSelect: this.onSelect
    }));
  }
}
_defineProperty(SmartTable, "defaultProps", {
  onSelectionChange: () => {}
});

export { SmartTable as default };
