import { _ as _defineProperty, b as _objectSpread2, a as _objectWithoutProperties } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/es.promise.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx, jsxs } from 'react/jsx-runtime';
import * as React from 'react';
import { PureComponent } from 'react';
import classNames from 'classnames';
import memoize from '../global/memoize.js';
import joinDataTestAttributes from '../global/data-tests.js';
import { s as styles, T as TabLink } from '../_helpers/tab-link.js';
import CollapsibleTabs from './collapsible-tabs.js';
import { CustomItem } from './custom-item.js';
import 'core-js/modules/es.weak-map.js';
import '../link/link.js';
import '../link/clickableLink.js';
import '../_helpers/link.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.replace.js';
import 'fastdom';
import './collapsible-more.js';
import '../popup/popup.consts.js';
import '../popup-menu/popup-menu.js';
import 'core-js/modules/es.parse-float.js';
import '../popup/popup.js';
import 'core-js/modules/es.regexp.to-string.js';
import 'react-dom';
import '../global/get-uid.js';
import '../global/schedule-raf.js';
import '../global/dom.js';
import 'core-js/modules/es.object.assign.js';
import 'core-js/modules/es.string.split.js';
import '../shortcuts/shortcuts.js';
import '../shortcuts/core.js';
import 'core-js/modules/es.string.includes.js';
import 'core-js/modules/es.string.match.js';
import 'combokeys';
import '../global/sniffer.js';
import 'sniffr';
import '../tab-trap/tab-trap.js';
import '../popup/position.js';
import 'core-js/modules/es.array.sort.js';
import '../popup/popup.target.js';
import '../list/list.js';
import 'core-js/modules/es.symbol.description.js';
import 'core-js/modules/es.string.trim.js';
import 'react-virtualized/dist/es/List';
import 'react-virtualized/dist/es/AutoSizer';
import 'react-virtualized/dist/es/WindowScroller';
import 'react-virtualized/dist/es/CellMeasurer';
import 'util-deprecate';
import 'memoize-one';
import '../global/create-stateful-context.js';
import '../list/list__item.js';
import '../avatar/avatar.js';
import '../global/url.js';
import '../_helpers/avatar-info.js';
import '../avatar/avatar-size.js';
import '../avatar/fallback-avatar.js';
import '../checkbox/checkbox.js';
import '@jetbrains/icons/checkmark-12px';
import '@jetbrains/icons/remove-12px';
import '../icon/icon.js';
import '../icon/icon__constants.js';
import '../_helpers/icon__svg.js';
import 'core-js/modules/es.string.starts-with.js';
import '../global/composeRefs.js';
import '../control-help/control-help.js';
import '../_helpers/list.js';
import '../list/consts.js';
import '../list/list__classes.js';
import '../list/list__custom.js';
import '../global/get-event-key.js';
import '../list/list__title.js';
import '../list/list__separator.js';
import '../list/list__hint.js';
import '../dropdown/dropdown.js';
import '../global/typescript-utils.js';
import '../_helpers/anchor.js';
import '../button/button.js';
import '@jetbrains/icons/chevron-down';
import '@jetbrains/icons/chevron-12px-down';
import '../global/controls-height.js';
import '../_helpers/button__classes.js';
import './collapsible-tab.js';

const _excluded = ["className", "tabContainerClassName", "children", "selected", "autoCollapse", "data-test", "onSelect"];
class Tabs extends PureComponent {
  constructor() {
    super(...arguments);
    _defineProperty(this, "handleSelect", memoize(key => () => {
      var _this$props$onSelect, _this$props;
      return (_this$props$onSelect = (_this$props = this.props).onSelect) === null || _this$props$onSelect === void 0 ? void 0 : _this$props$onSelect.call(_this$props, key);
    }));
    _defineProperty(this, "getTabTitle", (child, i) => {
      if (child == null || typeof child !== 'object' || child.type === CustomItem) {
        return child;
      }
      const {
        selected,
        onSelect
      } = this.props;
      const {
        title,
        titleProps,
        id,
        disabled,
        href,
        className,
        activeClassName
      } = child.props;
      const key = id || String(i);
      const isSelected = key === selected;
      const titleClasses = classNames(styles.title, className, isSelected && activeClassName, {
        [styles.selected]: isSelected
      });
      return jsx(TabLink, _objectSpread2({
        title: title,
        isSelected: isSelected,
        href: href,
        className: titleClasses,
        disabled: disabled,
        onPlainLeftClick: onSelect != null ? this.handleSelect(key) : undefined
      }, titleProps), key);
    });
  }
  render() {
    const _this$props2 = this.props,
      {
        className,
        tabContainerClassName,
        children,
        selected,
        autoCollapse,
        'data-test': dataTest,
        onSelect
      } = _this$props2,
      restProps = _objectWithoutProperties(_this$props2, _excluded);
    const classes = classNames(styles.tabs, className);
    const childrenArray = React.Children.toArray(children).filter(Boolean);
    return jsxs("div", {
      className: classes,
      "data-test": joinDataTestAttributes('ring-dumb-tabs', dataTest),
      children: [autoCollapse === true ? jsx(CollapsibleTabs, _objectSpread2(_objectSpread2({}, restProps), {}, {
        onSelect: onSelect != null ? this.handleSelect : undefined,
        selected: selected,
        children: childrenArray
      })) : jsx("div", {
        className: styles.titles,
        children: childrenArray.map(this.getTabTitle)
      }), jsx("div", {
        className: classNames(tabContainerClassName),
        children: childrenArray.find((_ref, i) => {
          let {
            props
          } = _ref;
          return (props.id || String(i)) === selected;
        })
      })]
    });
  }
}

export { CustomItem, Tabs as default };
