import { _ as _defineProperty, a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import { jsx } from 'react/jsx-runtime';
import { PureComponent } from 'react';
import joinDataTestAttributes from '../global/data-tests.js';
import Tabs from './dumb-tabs.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import 'core-js/modules/es.promise.js';
import 'classnames';
import '../global/memoize.js';
import 'core-js/modules/es.weak-map.js';
import '../_helpers/tab-link.js';
import '../link/link.js';
import '../link/clickableLink.js';
import '../_helpers/link.js';
import './collapsible-tabs.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.replace.js';
import 'fastdom';
import './collapsible-more.js';
import '../popup/popup.consts.js';
import '../popup-menu/popup-menu.js';
import 'core-js/modules/es.parse-float.js';
import '../popup/popup.js';
import 'core-js/modules/es.regexp.to-string.js';
import 'react-dom';
import '../global/get-uid.js';
import '../global/schedule-raf.js';
import '../global/dom.js';
import 'core-js/modules/es.object.assign.js';
import 'core-js/modules/es.string.split.js';
import '../shortcuts/shortcuts.js';
import '../shortcuts/core.js';
import 'core-js/modules/es.string.includes.js';
import 'core-js/modules/es.string.match.js';
import 'combokeys';
import '../global/sniffer.js';
import 'sniffr';
import '../tab-trap/tab-trap.js';
import '../popup/position.js';
import 'core-js/modules/es.array.sort.js';
import '../popup/popup.target.js';
import '../list/list.js';
import 'core-js/modules/es.symbol.description.js';
import 'core-js/modules/es.string.trim.js';
import 'react-virtualized/dist/es/List';
import 'react-virtualized/dist/es/AutoSizer';
import 'react-virtualized/dist/es/WindowScroller';
import 'react-virtualized/dist/es/CellMeasurer';
import 'util-deprecate';
import 'memoize-one';
import '../global/create-stateful-context.js';
import '../list/list__item.js';
import '../avatar/avatar.js';
import '../global/url.js';
import '../_helpers/avatar-info.js';
import '../avatar/avatar-size.js';
import '../avatar/fallback-avatar.js';
import '../checkbox/checkbox.js';
import '@jetbrains/icons/checkmark-12px';
import '@jetbrains/icons/remove-12px';
import '../icon/icon.js';
import '../icon/icon__constants.js';
import '../_helpers/icon__svg.js';
import 'core-js/modules/es.string.starts-with.js';
import '../global/composeRefs.js';
import '../control-help/control-help.js';
import '../_helpers/list.js';
import '../list/consts.js';
import '../list/list__classes.js';
import '../list/list__custom.js';
import '../global/get-event-key.js';
import '../list/list__title.js';
import '../list/list__separator.js';
import '../list/list__hint.js';
import '../dropdown/dropdown.js';
import '../global/typescript-utils.js';
import '../_helpers/anchor.js';
import '../button/button.js';
import '@jetbrains/icons/chevron-down';
import '@jetbrains/icons/chevron-12px-down';
import '../global/controls-height.js';
import '../_helpers/button__classes.js';
import './collapsible-tab.js';
import './custom-item.js';

const _excluded = ["children", "initSelected", "data-test"];
class SmartTabs extends PureComponent {
  constructor(props) {
    super(props);
    _defineProperty(this, "state", void 0);
    _defineProperty(this, "handleSelect", selected => this.setState({
      selected
    }));
    this.state = {
      selected: this.props.initSelected || Array.isArray(this.props.children) && this.props.children[0].props.id || '0'
    };
  }
  render() {
    const _this$props = this.props,
      {
        children,
        initSelected,
        'data-test': dataTest
      } = _this$props,
      restProps = _objectWithoutProperties(_this$props, _excluded);
    return jsx(Tabs, _objectSpread2(_objectSpread2({
      "data-test": joinDataTestAttributes('ring-smart-tabs', dataTest),
      selected: this.state.selected,
      onSelect: this.handleSelect
    }, restProps), {}, {
      children: children
    }));
  }
}

export { SmartTabs as default };
