import { jsx } from 'react/jsx-runtime';
import { PureComponent } from 'react';
import classNames from 'classnames';
import joinDataTestAttributes from '../global/data-tests.js';
import 'core-js/modules/web.dom-collections.iterator.js';

class Tab extends PureComponent {
  render() {
    const {
      className,
      children,
      'data-test': dataTest
    } = this.props;
    return jsx("div", {
      "data-test": joinDataTestAttributes('ring-tab', dataTest),
      className: classNames(className),
      children: children
    });
  }
}

export { Tab as default };
