import { _ as _defineProperty, b as _objectSpread2, a as _objectWithoutProperties } from '../_helpers/_rollupPluginBabelHelpers.js';
import { jsxs } from 'react/jsx-runtime';
import { Component, createElement } from 'react';
import classNames from 'classnames';
import Tag from '../tag/tag.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import '@jetbrains/icons/close-12px';
import '../icon/icon.js';
import 'util-deprecate';
import '../icon/icon__constants.js';
import '../_helpers/icon__svg.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.replace.js';
import 'core-js/modules/es.string.starts-with.js';
import '../global/memoize.js';
import 'core-js/modules/es.weak-map.js';
import '../button/button.js';
import '@jetbrains/icons/chevron-down';
import '@jetbrains/icons/chevron-12px-down';
import '../link/clickableLink.js';
import '../global/controls-height.js';
import '../_helpers/button__classes.js';

const _excluded = ["children", "className", "customTagComponent", "canNotBeEmpty", "handleClick", "tagClassName", "handleRemove", "tags", "activeIndex"];
function noop() {}
/**
 * @name Tags List
 */
class TagsList extends Component {
  renderTag(tag, focusTag) {
    const TagComponent = this.props.customTagComponent || Tag;
    const readOnly = this.props.disabled || tag.readOnly || this.props.canNotBeEmpty && this.props.tags.length === 1;
    const {
      tagClassName
    } = this.props;
    return /*#__PURE__*/createElement(TagComponent, _objectSpread2(_objectSpread2({}, tag), {}, {
      key: tag.key,
      readOnly: readOnly,
      disabled: this.props.disabled || tag.disabled,
      focused: focusTag,
      onClick: this.props.handleClick(tag),
      onRemove: this.props.handleRemove(tag),
      className: tagClassName
    }), tag.label);
  }
  render() {
    const _this$props = this.props,
      {
        children,
        className,
        customTagComponent,
        canNotBeEmpty,
        handleClick,
        tagClassName,
        handleRemove,
        tags,
        activeIndex
      } = _this$props,
      props = _objectWithoutProperties(_this$props, _excluded);
    const classes = classNames('ring-js-shortcuts', className);
    const tagsList = (this.props.tags || []).map((tag, index) => this.renderTag(tag, this.props.activeIndex === index));
    return jsxs("div", _objectSpread2(_objectSpread2({
      "data-test": "ring-tags-list",
      className: classes
    }, props), {}, {
      children: [tagsList, children]
    }));
  }
}
_defineProperty(TagsList, "defaultProps", {
  customTagComponent: null,
  canNotBeEmpty: false,
  disabled: false,
  handleClick: () => noop,
  handleRemove: () => noop
});

export { TagsList as default };
