import { _ as _defineProperty, a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import { jsx } from 'react/jsx-runtime';
import { Component } from 'react';
import classNames from 'classnames';

var styles = {"text":"text_rui_6f30","sizeS":"sizeS_rui_6f30","sizeM":"sizeM_rui_6f30","sizeL":"sizeL_rui_6f30","info":"info_rui_6f30","bold":"bold_rui_6f30"};

const _excluded = ["children", "className", "info", "size", "bold"];
const TextSize = {
  S: 's',
  M: 'm',
  L: 'l'
};
/**
 * @name Text
 */
class Text extends Component {
  render() {
    const _this$props = this.props,
      {
        children,
        className,
        info,
        size,
        bold
      } = _this$props,
      restProps = _objectWithoutProperties(_this$props, _excluded);
    const classes = classNames(styles.text, className, {
      [styles.info]: info,
      [styles.bold]: bold,
      [styles.sizeS]: size === Text.Size.S,
      [styles.sizeM]: size === Text.Size.M,
      [styles.sizeL]: size === Text.Size.L
    });
    return jsx("span", _objectSpread2(_objectSpread2({
      className: classes
    }, restProps), {}, {
      children: children
    }));
  }
}
_defineProperty(Text, "Size", TextSize);

export { Text as default };
