import { _ as _defineProperty, a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import { PureComponent } from 'react';
import classNames from 'classnames';
import joinDataTestAttributes from '../global/data-tests.js';
import ControlHelp from '../control-help/control-help.js';
import 'core-js/modules/web.dom-collections.iterator.js';

var styles = {"toggle":"toggle_rui_773f","switch":"switch_rui_773f","disabled":"disabled_rui_773f","label":"label_rui_773f","help":"help_rui_773f","leftLabel":"leftLabel_rui_773f","switchWrapper":"switchWrapper_rui_773f","input":"input_rui_773f","size16":"size16_rui_773f","size14":"size14_rui_773f","size20":"size20_rui_773f"};

const _excluded = ["className", "children", "disabled", "title", "leftLabel", "size", "data-test", "help", "onTransitionEnd"];
const Size = {
  Size14: styles.size14,
  Size16: styles.size16,
  Size20: styles.size20
};
class Toggle extends PureComponent {
  render() {
    const _this$props = this.props,
      {
        className,
        children,
        disabled,
        title,
        leftLabel,
        size = Size.Size16,
        'data-test': dataTest,
        help,
        onTransitionEnd
      } = _this$props,
      restProps = _objectWithoutProperties(_this$props, _excluded);
    const classes = classNames(className, size, styles.toggle, disabled && styles.disabled);
    return jsxs("label", {
      className: classes,
      title: title,
      "data-test": joinDataTestAttributes('ring-toggle', dataTest),
      children: [leftLabel && jsxs("span", {
        className: styles.leftLabel,
        children: [leftLabel, help && jsx(ControlHelp, {
          className: styles.help,
          children: help
        })]
      }), jsxs("span", {
        className: styles.switchWrapper,
        children: [jsx("input", _objectSpread2(_objectSpread2({
          "data-test": "ring-toggle-input"
        }, restProps), {}, {
          type: "checkbox",
          disabled: disabled,
          className: styles.input
        })), jsx("span", {
          className: styles.switch,
          onTransitionEnd: onTransitionEnd
        })]
      }), children && jsxs("div", {
        className: styles.label,
        children: [children, help && jsx(ControlHelp, {
          className: styles.help,
          children: help
        })]
      })]
    });
  }
}
_defineProperty(Toggle, "defaultProps", {
  size: Size.Size16
});

export { Size, Toggle as default };
