/**
 * @name User Agreement
 */
import { PureComponent, ReactNode } from 'react';
declare function noop(): void;
export interface UserAgreementTranslations {
    userAgreement: string;
    accept: string;
    decline: string;
    close: string;
    scrollToAccept: string;
    remindLater: string;
}
export interface UserAgreementProps {
    translations?: UserAgreementTranslations | null | undefined;
    children: ReactNode;
    show: boolean;
    onAccept: () => void;
    onDecline: () => void;
    onClose: () => void;
    preview?: boolean | null | undefined;
    onRemindLater?: (() => void) | null | undefined;
    className?: string | null | undefined;
}
/**
 * A component that displays a user agreement dialog.
 */
export default class UserAgreement extends PureComponent<UserAgreementProps> {
    static defaultProps: {
        show: boolean;
        onAccept: typeof noop;
        onDecline: typeof noop;
        onClose: typeof noop;
    };
    state: {
        scrolledDown: boolean;
    };
    onScrollToBottom: () => void;
    render(): import("react/jsx-runtime").JSX.Element;
}
export type UserAgreementAttrs = React.JSX.LibraryManagedAttributes<typeof UserAgreement, UserAgreementProps>;
export {};
