import { _ as _defineProperty } from '../_helpers/_rollupPluginBabelHelpers.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import { jsx, jsxs } from 'react/jsx-runtime';
import { PureComponent } from 'react';
import classNames from 'classnames';
import Dialog from '../dialog/dialog.js';
import '../_helpers/island.js';
import HeaderWrapper from '../island/header.js';
import ContentWrapper from '../island/content.js';
import Panel from '../panel/panel.js';
import { Button } from '../button/button.js';
import { I18nContext } from '../i18n/i18n-context.js';
import 'react-dom';
import '@jetbrains/icons/close';
import '../island/island.js';
import '../global/data-tests.js';
import '../island/adaptive-island-hoc.js';
import '../global/linear-function.js';
import 'element-resize-detector';
import '../global/schedule-raf.js';
import '../global/get-uid.js';
import 'core-js/modules/es.regexp.to-string.js';
import '../shortcuts/shortcuts.js';
import '../shortcuts/core.js';
import 'core-js/modules/es.object.assign.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.includes.js';
import 'core-js/modules/es.string.match.js';
import 'combokeys';
import '../global/sniffer.js';
import 'sniffr';
import '../tab-trap/tab-trap.js';
import '../global/dom.js';
import 'core-js/modules/es.string.split.js';
import '../popup/popup.target.js';
import '../popup/popup.js';
import 'core-js/modules/es.string.replace.js';
import '../popup/position.js';
import 'core-js/modules/es.array.sort.js';
import '../popup/popup.consts.js';
import '../_helpers/dialog__body-scroll-preventer.js';
import 'scrollbar-width';
import '@jetbrains/icons/chevron-down';
import '@jetbrains/icons/chevron-12px-down';
import 'util-deprecate';
import '../icon/icon.js';
import '../icon/icon__constants.js';
import '../_helpers/icon__svg.js';
import 'core-js/modules/es.string.starts-with.js';
import '../global/memoize.js';
import 'core-js/modules/es.weak-map.js';
import '../link/clickableLink.js';
import '../global/controls-height.js';
import '../_helpers/button__classes.js';
import '../i18n/i18n.js';

var style = {"extra-small-screen-media":"(max-width: 639px)","agreementDialog":"agreementDialog_rui_a19e","dialogContent":"dialogContent_rui_a19e","suggestion":"suggestion_rui_a19e","remindLaterButton":"remindLaterButton_rui_a19e"};

function noop() {}
/**
 * A component that displays a user agreement dialog.
 */
class UserAgreement extends PureComponent {
  constructor() {
    super(...arguments);
    _defineProperty(this, "state", {
      scrolledDown: false
    });
    _defineProperty(this, "onScrollToBottom", () => this.setState({
      scrolledDown: true
    }));
  }
  render() {
    const {
      scrolledDown
    } = this.state;
    const {
      translations,
      onAccept,
      onDecline,
      onClose,
      onRemindLater,
      children: _children,
      show,
      preview,
      className
    } = this.props;
    return jsx(I18nContext.Consumer, {
      children: _ref => {
        var _translations$userAgr, _translations$userAgr2, _translations$scrollT, _translations$accept, _translations$decline, _translations$scrollT2, _translations$remindL, _translations$close;
        let {
          translate
        } = _ref;
        return jsxs(Dialog, {
          label: (_translations$userAgr = translations === null || translations === void 0 ? void 0 : translations.userAgreement) !== null && _translations$userAgr !== void 0 ? _translations$userAgr : translate('userAgreement'),
          show: show,
          className: classNames(style.agreementDialog, className),
          contentClassName: style.dialogContent,
          trapFocus: true,
          autoFocusFirst: false,
          "data-test": "user-agreement",
          children: [jsx(HeaderWrapper, {
            children: (_translations$userAgr2 = translations === null || translations === void 0 ? void 0 : translations.userAgreement) !== null && _translations$userAgr2 !== void 0 ? _translations$userAgr2 : translate('userAgreement')
          }), jsx(ContentWrapper, {
            fade: true,
            onScrollToBottom: this.onScrollToBottom,
            children: _children
          }), !preview && jsxs(Panel, {
            children: [onRemindLater && !scrolledDown && jsx("div", {
              className: style.suggestion,
              children: (_translations$scrollT = translations === null || translations === void 0 ? void 0 : translations.scrollToAccept) !== null && _translations$scrollT !== void 0 ? _translations$scrollT : translate('scrollToAccept')
            }), jsx(Button, {
              primary: true,
              disabled: !scrolledDown,
              onClick: onAccept,
              "data-test": "accept",
              children: (_translations$accept = translations === null || translations === void 0 ? void 0 : translations.accept) !== null && _translations$accept !== void 0 ? _translations$accept : translate('accept')
            }), jsx(Button, {
              onClick: onDecline,
              autoFocus: true,
              "data-test": "decline",
              children: (_translations$decline = translations === null || translations === void 0 ? void 0 : translations.decline) !== null && _translations$decline !== void 0 ? _translations$decline : translate('decline')
            }), !onRemindLater && !scrolledDown && jsx("span", {
              className: style.suggestion,
              children: (_translations$scrollT2 = translations === null || translations === void 0 ? void 0 : translations.scrollToAccept) !== null && _translations$scrollT2 !== void 0 ? _translations$scrollT2 : translate('scrollToAccept')
            }), onRemindLater && jsx(Button, {
              className: style.remindLaterButton,
              onClick: onRemindLater,
              "data-test": "later",
              children: (_translations$remindL = translations === null || translations === void 0 ? void 0 : translations.remindLater) !== null && _translations$remindL !== void 0 ? _translations$remindL : translate('remindLater')
            })]
          }), preview && jsx(Panel, {
            children: jsx(Button, {
              onClick: onClose,
              autoFocus: true,
              "data-test": "close",
              children: (_translations$close = translations === null || translations === void 0 ? void 0 : translations.close) !== null && _translations$close !== void 0 ? _translations$close : translate('close')
            })
          })]
        });
      }
    });
  }
}
_defineProperty(UserAgreement, "defaultProps", {
  show: false,
  onAccept: noop,
  onDecline: noop,
  onClose: noop
});

export { UserAgreement as default };
