import { Component, ReactNode } from 'react';
import { DropdownAttrs, DropdownProps } from '../dropdown/dropdown';
import { UserCardAttrs, UserCardUser } from './card';
export interface UserCardTooltipProps extends Omit<UserCardAttrs, 'children' | 'user'> {
    user?: UserCardUser | null | undefined;
    children: DropdownProps['anchor'];
    dropdownProps: Partial<DropdownAttrs>;
    renderUserCard: (props: UserCardAttrs) => ReactNode;
    renderNoUser: () => ReactNode;
}
export default class UserCardTooltip extends Component<UserCardTooltipProps> {
    static defaultProps: {
        renderUserCard: (props: UserCardAttrs) => import("react/jsx-runtime").JSX.Element;
        renderNoUser: () => string;
        dropdownProps: {
            hoverShowTimeOut: number;
            hoverHideTimeOut: number;
        };
    };
    render(): import("react/jsx-runtime").JSX.Element;
}
export type UserCardTooltipAttrs = React.JSX.LibraryManagedAttributes<typeof UserCardTooltip, UserCardTooltipProps>;
