import { _ as _defineProperty, a as _objectWithoutProperties, b as _objectSpread2 } from '../_helpers/_rollupPluginBabelHelpers.js';
import { jsx } from 'react/jsx-runtime';
import { Component } from 'react';
import classNames from 'classnames';
import Dropdown from '../dropdown/dropdown.js';
import Popup from '../popup/popup.js';
import { U as UserCard, s as styles } from '../_helpers/card.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import '../global/data-tests.js';
import '../global/typescript-utils.js';
import '../_helpers/anchor.js';
import '../button/button.js';
import '@jetbrains/icons/chevron-down';
import '@jetbrains/icons/chevron-12px-down';
import 'util-deprecate';
import '../icon/icon.js';
import '../icon/icon__constants.js';
import '../_helpers/icon__svg.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.string.replace.js';
import 'core-js/modules/es.string.starts-with.js';
import '../global/memoize.js';
import 'core-js/modules/es.weak-map.js';
import '../link/clickableLink.js';
import '../global/controls-height.js';
import '../_helpers/button__classes.js';
import 'core-js/modules/es.regexp.to-string.js';
import 'react-dom';
import '../global/get-uid.js';
import '../global/schedule-raf.js';
import '../global/dom.js';
import 'core-js/modules/es.object.assign.js';
import 'core-js/modules/es.string.split.js';
import '../shortcuts/shortcuts.js';
import '../shortcuts/core.js';
import 'core-js/modules/es.string.includes.js';
import 'core-js/modules/es.string.match.js';
import 'combokeys';
import '../global/sniffer.js';
import 'sniffr';
import '../tab-trap/tab-trap.js';
import '../popup/position.js';
import 'core-js/modules/es.array.sort.js';
import '../popup/popup.consts.js';
import '../popup/popup.target.js';
import '@jetbrains/icons/copy';
import '../avatar/avatar.js';
import '../global/url.js';
import '../_helpers/avatar-info.js';
import '../avatar/avatar-size.js';
import '../avatar/fallback-avatar.js';
import '../link/link.js';
import '../_helpers/link.js';
import '../clipboard/clipboard.js';
import 'core-js/modules/es.promise.js';
import '../alert-service/alert-service.js';
import 'react-dom/client';
import '../alert/alert.js';
import '@jetbrains/icons/exception';
import '@jetbrains/icons/checkmark';
import '@jetbrains/icons/warning';
import '@jetbrains/icons/close';
import '../loader-inline/loader-inline.js';
import '../_helpers/theme.js';
import '../alert/container.js';
import '../clipboard/clipboard-fallback.js';
import '../tag/tag.js';
import '@jetbrains/icons/close-12px';
import '../i18n/i18n-context.js';
import '../i18n/i18n.js';
import '../tooltip/tooltip.js';

const _excluded = ["children", "renderUserCard", "renderNoUser", "dropdownProps", "user"],
  _excluded2 = ["user"];
const DEFAULT_TIMEOUT = 300;
class UserCardTooltip extends Component {
  render() {
    const _this$props = this.props,
      {
        children,
        renderUserCard,
        renderNoUser,
        dropdownProps,
        user
      } = _this$props,
      restProps = _objectWithoutProperties(_this$props, _excluded);
    return jsx(Dropdown, _objectSpread2(_objectSpread2({
      anchor: children,
      hoverMode: true,
      clickMode: false
    }, dropdownProps), {}, {
      children: jsx(Popup, {
        attached: false,
        children: user ? renderUserCard(_objectSpread2(_objectSpread2({}, restProps), {}, {
          user,
          className: classNames(styles.userCardSpaced, this.props.className)
        })) : renderNoUser()
      })
    }));
  }
}
_defineProperty(UserCardTooltip, "defaultProps", {
  renderUserCard: props => {
    const {
        user
      } = props,
      restProps = _objectWithoutProperties(props, _excluded2);
    return user && jsx(UserCard, _objectSpread2({
      user: user
    }, restProps));
  },
  renderNoUser: () => '',
  dropdownProps: {
    hoverShowTimeOut: DEFAULT_TIMEOUT,
    hoverHideTimeOut: DEFAULT_TIMEOUT
  }
});

export { UserCardTooltip as default };
